%define qmf_version 0.7.946106-28
%define tarball_version 7.4.4
%define uw_version 7.4.5

Summary: Condor: High Throughput Computing
Name: condor
Version: 7.4.5
Release: 0.8%{?dist}
License: ASL 2.0
Group: Applications/System
URL: http://www.cs.wisc.edu/condor/
# The upstream Condor source tarball contains some source that cannot
# be shipped as well as extraneous copies of packages the source
# depends on. Additionally, the upstream Condor source requires a
# click-through license. Once you have downloaded the source from:
#   http://parrot.cs.wisc.edu/v7.1.license.html
# you should process it with generate-tarball.sh:
#   ./generate-tarball.sh 7.1.4
# MD5Sum of upstream source:
#   06eec3ae274b66d233ad050a047f3c91  condor_src-7.0.0-all-all.tar.gz
#   e59fa49468ea8825628585a958e2f8e0  condor_src-7.0.1-all-all.tar.gz
#   b08743cfa2e87adbcda042896e8ef537  condor_src-7.0.2-all-all.tar.gz
#   5f326ad522b63eacf34c6c563cf46910  condor_src-7.0.4-all-all.tar.gz
#   73323100c5b2259f3b9c042fa05451e0  condor_src-7.0.5-all-all.tar.gz
#   67eb628921313ad8f23692840f054832  condor_src-7.1.3-all-all.tar.gz
#   c7f3257d0e04b33ea1afbd51cf50d4ef  condor_src-7.1.4-all-all.tar.gz
#   a2dd96ea537b2c6d105b6c8dad563ddc  condor_src-7.2.0-all-all.tar.gz
#   edbac8267130ac0a0e016d0f113b4616  condor_src-7.2.1-all-all.tar.gz
#   9702f20ec98068a77975e2f1155140bf  condor_src-7.3.0-all-all.tar.gz
#   ca912f758752e303530bcd83f090cb68  condor_src-7.3.1-all-all.tar.gz
#   ee72b65fad02d21af0dc8f1aa5872110  condor_src-7.4.0-all-all.tar.gz
#   d4deeabbbce65980c085d8bea4c1018a  condor_src-7.4.1-all-all.tar.gz
#   4714086f58942b78cf03fef9ccb1117c  condor_src-7.4.2-all-all.tar.gz
#   108a4b91cd10deca1554ca1088be6c8c  condor_src-7.4.4-all-all.tar.gz
# Note: The md5sum of each generated tarball may be different
Source0: condor-7.4.4-279383-RH.tar.gz
Source1: generate-tarball.sh
# Created with: git diff V7_4_4 V-R
Patch0: Integration-Branch.patch
Patch1: hardlink_to_copy.patch
Patch2: only_dynamic_unstripped.patch
%if 0%{?rhel} == 4
Patch40: openssl_x509.patch
Patch41: initscript.patch
Patch42: rhel4_qpid_boost.patch
Patch43: no_vm_gahp.patch
%endif
Patch100: no_router_q_manpage.patch

# CERN Patches
Patch200: condor-7.2-slc-config.patch
Patch201: condor-7.4-slc5.patch
Patch202: condor-7.4-slc5-2.patch
Patch203: condor-7.4-slc5-3.patch

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%if 0%{?rhel} != 4
BuildRequires: imake
BuildRequires: krb5-devel
%endif

BuildRequires: %_bindir/flex
BuildRequires: %_bindir/byacc
BuildRequires: pcre-devel
BuildRequires: openssl-devel
BuildRequires: qmf-devel >= %{qmf_version}
BuildRequires: classads-devel >= 1.0.6
BuildRequires: gsoap-devel >= 2.7.12

%if 0%{?rhel} != 4
# libvirt-devel
BuildRequires: %_includedir/libvirt/libvirt.h
BuildRequires: %_includedir/libvirt/virterror.h
BuildRequires: %_libdir/libvirt.so
%endif

BuildRequires: bind-utils
BuildRequires: m4
BuildRequires: autoconf

# EL5: libX11-devel; EL4: xorg-x11-devel
%if 0%{?rhel} != 4
BuildRequires: %_includedir/X11/Xlib.h
BuildRequires: %_includedir/X11/Xatom.h
BuildRequires: %_includedir/X11/Xresource.h
BuildRequires: %_libdir/libX11.so
%else
# Can't use the same BuildRequires, x11 is in /usr/X11R6/...
BuildRequires: xorg-x11-devel
%endif

Requires: gsoap >= 2.7.12
Requires: mailx
Requires: python >= 2.2

Requires(pre): shadow-utils

Requires(post):/sbin/chkconfig
Requires(post): policycoreutils
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service
Requires(postun):/sbin/service

Obsoletes: condor-test < 7.0.5
Obsoletes: condor-static < 7.2.0

#Provides: user(condor) = 43
#Provides: group(condor) = 43


%description
Condor is a specialized workload management system for. Like other
full-featured batch systems, Condor provides a job queueing mechanism,
scheduling policy, priority scheme, resource monitoring, and resource
management. Users submit their serial or parallel jobs to Condor,
Condor places them into a queue, chooses when and where to run the
jobs based upon a policy, carefully monitors their progress, and
ultimately informs the user upon completion.


#%package static
#Summary: Headers and libraries for interacting with Condor
#Group: Development/System
#Requires: %name = %version-%release
#
#
#%description static
#Headers and libraries for interacting with Condor and its components.
#
#This package contains (part of) a Technology Preview for Red Hat
#Enterprise MRG Grid. Please visit
#http://www.redhat.com/support/service/ for details on the Red Hat
#support policies.


%package qmf
Summary: Condor QMF components
Group: Applications/System
Requires: %name = %version-%release
Requires: qmf >= %{qmf_version}
Requires: python-qmf >= 0.7.946106
Obsoletes: condor-qmf-plugins

%description qmf
Components to connect Condor to the QMF management bus.

#This package contains (part of) a Technology Preview for Red Hat
#Enterprise MRG Grid. Please visit
#http://www.redhat.com/support/service/ for details on the Red Hat
#support policies.


%package kbdd
Summary: Condor Keyboard Daemon
Group: Applications/System
Requires: %name = %version-%release

%description kbdd
The condor_kbdd monitors logged in X users for activity. It is only
useful on systems where no device (e.g. /dev/*) can be used to
determine console idle time.

This package contains (part of) a Technology Preview for Red Hat
Enterprise MRG Grid. Please visit
http://www.redhat.com/support/service/ for details on the Red Hat
support policies.


%if 0%{?rhel} != 4
%package vm-gahp
Summary: Condor's VM Gahp
Group: Applications/System
Requires: %name = %version-%release

%description vm-gahp
The condor_vm-gahp enables the Virtual Machine Universe feature of
Condor. The VM Universe uses libvirt to start and control VMs under
Condor's Startd.

#This package contains (part of) a Technology Preview for Red Hat
#Enterprise MRG Grid. Please visit
#http://www.redhat.com/support/service/ for details on the Red Hat
#support policies.
%endif


%package test
Summary: Condor testing utilities
Group: Development/System
Requires: %name = %version-%release


%description test
Test tools and scripts to verify Condor's functionality.


%pre
getent group condor >/dev/null || groupadd -g 64 -r condor
getent passwd condor >/dev/null || \
  useradd -u 64 -r -g condor -d %_var/lib/condor -s /sbin/nologin \
    -c "Owner of Condor Daemons" condor
exit 0


%prep
%setup -q -n %name-%{tarball_version}

# The Integration-Branch.patch is applied with -f because it can have
# diffs for files that do not exist in our source, which is ok if the
# files were removed by generate-tarball.sh (or are UW's
# large|confidential tests)
echo "Applying %{PATCH0}"
patch -p1 -f -s < %{PATCH0} || :

%patch1 -p1

# only_dynamic_unstripped.patch
%patch2 -p1

%if 0%{?rhel} == 4
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%endif

# Hopefully a temporary patch (23 Dec 2010), this removes installation
# of router_q's manpage, because it does not exist in the man external
# as of 7.4.4, but it must exist in the future 7.4.5.
%patch100 -p1

# CERN patches
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1

%build
%if 0%{?rhel} != 4
# set USE_OLD_IMAKE to anything so condor_imake will use the system
# installed imake instead of building its own
USE_OLD_IMAKE=YES
export USE_OLD_IMAKE
%endif

cd src
# Must regenerate configure script from configure.ac because of
# patches to configure.ac
./build_init
%configure --with-buildid=RH-%{version}-%{release} \
   --with-platform=$(uname -s)-$(uname -p) \
   --enable-proper \
   --enable-kbdd \
   --disable-hibernation \
   --disable-lease-manager \
   --disable-hdfs \
   --disable-quill \
   --without-zlib \
   --with-openssl \
%if 0%{?rhel} != 4
   --with-krb5 \
   --with-libvirt \
%else
   --without-krb5 \
%endif
   --with-gsoap \
   --with-classads \
   --with-mgmt \
   --with-man=$PWD/../externals/bundles/man/current

# SMP_NUM_JOBS must be set properly to pass -j to make
SMP_NUM_JOBS=$(echo %{?_smp_mflags} | sed -e 's/-j\(.*\)/\1/')
#export SMP_NUM_JOBS

# build a releasable tarball
make public

# build the test tools and scripts
make testbin
cd condor_tests
make


%install
# installation happens into a temporary location, this function is
# useful in moving files into their final locations
function populate {
  _dest="$1"; shift; _src="$*"
  mkdir -p "%{buildroot}/$_dest"
  mv $_src "%{buildroot}/$_dest"
}


# this function will copy, instead of move, files to their final locations
function populate_cp {
  _dest="$1"; shift; _src="$*"
  mkdir -p "%{buildroot}/$_dest"
  cp -r $_src "%{buildroot}/$_dest"
}

rm -rf %{buildroot}

# make public creates release tarballs which we will install
oldpwd=$PWD
cd public/v7.4
gzip -cd condor-*-*-dynamic-unstripped.tar.gz | tar x
cd condor-%{uw_version}

PREFIX=%{buildroot}/install

populate install *

# the default condor_config file is not architecture aware and thus
# sets the LIB directory to always be /usr/lib, we want to do better
# than that. this is, so far, the best place to do this
# specialization. we strip the "lib" or "lib64" part from _libdir and
# stick it in the LIB variable in the config.
LIB=$(echo %{?_libdir} | sed -e 's:/usr/\(.*\):\1:')
if [ "$LIB" = "%_libdir" ]; then
  echo "_libdir does not contain /usr, sed expression needs attention"
  exit 1
fi
sed -e "s:^LIB\s*=.*:LIB = \$(RELEASE_DIR)/$LIB/condor:" \
  $PREFIX/etc/examples/condor_config.generic \
  > $PREFIX/etc/condor_config


mkdir $PREFIX/local_dir
mkdir -m1777 $PREFIX/local_dir/execute
mkdir -m0755 $PREFIX/local_dir/log
mkdir -m0755 $PREFIX/local_dir/spool

# Install the basic configuration, a Personal Condor config. Allows for
# yum install condor + service condor start and go.
mkdir -m0755 $PREFIX/etc/config.d
cp $PREFIX/etc/examples/condor_config.local.generic $PREFIX/etc/config.d/00personal_condor.config

# Install condor-qmf's base plugin configuration
cp $PREFIX/etc/examples/60condor-qmf.config $PREFIX/etc/config.d/60condor-qmf.config

# used by BLAHP, which is not packaged
rm -rf $PREFIX/libexec/glite
# used by old MPI universe, not packaged (it's rsh, it should die)
rm -rf $PREFIX/libexec/rsh
# this is distributed as chirp_client.c/h and chirp_protocol.h in %_usrsrc
rm $PREFIX/lib/libchirp_client.a
rm $PREFIX/include/chirp_client.h
# checkpoint, reschedule and vacate live in bin/, don't duplicate
rm $PREFIX/sbin/condor_checkpoint
rm $PREFIX/sbin/condor_reschedule
rm $PREFIX/sbin/condor_vacate
# the libcondorapi.so is not properly created, instead of providing it
# we will provide the .a version in a static package
rm $PREFIX/lib/libcondorapi.so
# sbin/condor is a pointless hard links
rm $PREFIX/sbin/condor

# not packaging the condor_startd_factory right now
rm $PREFIX/sbin/condor_startd_factory
rm $PREFIX/libexec/bgp_available_partitions
rm $PREFIX/libexec/bgp_back_partition
rm $PREFIX/libexec/bgp_boot_partition
rm $PREFIX/libexec/bgp_destroy_partition
rm $PREFIX/libexec/bgp_generate_partition
rm $PREFIX/libexec/bgp_query_work_loads
rm $PREFIX/libexec/bgp_shutdown_partition

# not packaging glexec support right now
rm $PREFIX/libexec/condor_glexec_cleanup
rm $PREFIX/libexec/condor_glexec_job_wrapper
rm $PREFIX/libexec/condor_glexec_kill
rm $PREFIX/libexec/condor_glexec_run
rm $PREFIX/libexec/condor_glexec_setup

# not shipping gt42 gahp right now
rm $PREFIX/sbin/gt42_gahp

# not going to package the sc2005 negotiator
#rm $PREFIX/sbin/condor_lease_manager

# not going to package this right now
rm $PREFIX/sbin/condor_set_shutdown

# not packaging glidein support, depends on globus
rm $PREFIX/man/man1/condor_glidein.1
rm $PREFIX/bin/condor_glidein

# not packaging deployment tools
# sbin/uniq_pid_command is a link for uniq_pid_midwife/undertaker
rm $PREFIX/sbin/uniq_pid_command
rm $PREFIX/sbin/uniq_pid_midwife
rm $PREFIX/sbin/uniq_pid_undertaker
rm $PREFIX/sbin/cleanup_release
rm $PREFIX/sbin/condor_local_stop
rm $PREFIX/sbin/condor_cleanup_local
rm $PREFIX/sbin/condor_cold_start
rm $PREFIX/sbin/condor_cold_stop
rm $PREFIX/sbin/condor_config_bind
rm $PREFIX/sbin/filelock_midwife
rm $PREFIX/sbin/filelock_undertaker
rm $PREFIX/sbin/condor_install_local
rm $PREFIX/sbin/condor_local_start
rm $PREFIX/sbin/install_release
rm $PREFIX/lib/Execute.pm
rm $PREFIX/lib/FileLock.pm
rm $PREFIX/man/man1/condor_config_bind.1
rm $PREFIX/man/man1/condor_cold_start.1
rm $PREFIX/man/man1/condor_cold_stop.1

# not packaging the ckpt server
rm $PREFIX/sbin/condor_ckpt_server

# not packaging standard universe
rm $PREFIX/bin/condor_checkpoint
rm $PREFIX/sbin/condor_shadow.std
rm $PREFIX/sbin/condor_starter.std
rm $PREFIX/bin/condor_compile
rm $PREFIX/man/man1/condor_compile.1
rm $PREFIX/man/man1/condor_checkpoint.1
rm $PREFIX/libexec/condor_ckpt_probe

# not packaging configure/install scripts
rm $PREFIX/man/man1/condor_configure.1
rm $PREFIX/sbin/condor_configure
rm $PREFIX/sbin/condor_install

# not packaging legacy cruft
rm $PREFIX/man/man1/condor_master_off.1
rm $PREFIX/sbin/condor_master_off
rm $PREFIX/man/man1/condor_reconfig_schedd.1
rm $PREFIX/sbin/condor_reconfig_schedd

# not packaging anything globus related
rm $PREFIX/sbin/condor_gridshell
rm $PREFIX/sbin/grid_monitor.sh
rm $PREFIX/sbin/gt4_gahp

# not packaging unsupported gahps
rm $PREFIX/sbin/unicore_gahp

# not packaging libcondorapi.a
rm $PREFIX/lib/libcondorapi.a

# XXX: want to remove condor_hdfs?
#rm $PREFIX/sbin/condor_hdfs

# soapshell WSDL is installed, though the condor_soapshell is not
rm $PREFIX/lib/webservice/condorSoapshell.wsdl

# not packaging quill
#rm $PREFIX/sbin/condor_quill
#rm $PREFIX/man/man1/condor_load_history.1.gz
#rm $PREFIX/bin/condor_load_history
#rm $PREFIX/bin/condor_dump_history
#rm $PREFIX/sbin/condor_dbmsd
#rm $PREFIX/man/man1/condor_convert_history.1
#rm $PREFIX/sbin/condor_convert_history
#%dir %_datadir/condor/sql/
#%_datadir/condor/sql/common_createddl.sql
#%_datadir/condor/sql/oracle_createddl.sql
#%_datadir/condor/sql/oracle_dropddl.sql
#%_datadir/condor/sql/pgsql_createddl.sql
#%_datadir/condor/sql/pgsql_dropddl.sql
#populate %_datadir/condor/sql $PREFIX/sql/*

# some scripts are examples but have exec bits set anyway
chmod a-x $PREFIX/etc/examples/condor.boot
chmod a-x $PREFIX/etc/examples/lamscript
chmod a-x $PREFIX/etc/examples/mp1script


# here is the actual installation
populate %_mandir/man1 $PREFIX/man/man1/*
populate %_bindir $PREFIX/bin/*
populate %_sbindir $PREFIX/sbin/*
populate %_sysconfdir/condor $PREFIX/etc/condor_config
populate %_sysconfdir/condor $PREFIX/etc/config.d
# no -static package
#populate %_usrsrc $PREFIX/src/chirp
#populate %_includedir/condor $PREFIX/include/*
#populate %_libdir $PREFIX/lib/libcondorapi.a
populate %_sysconfdir/condor $PREFIX/lib/condor_ssh_to_job_sshd_config_template
populate %_datadir/condor $PREFIX/lib/*
populate %_libdir/condor/plugins $PREFIX/libexec/*-plugin.so
populate %_libexecdir/condor $PREFIX/libexec/*
populate %_var/lib/condor $PREFIX/local_dir/*
mkdir -p -m0755 "%{buildroot}"/%_var/run/condor
mkdir -p -m0755 "%{buildroot}"/%_var/log/condor
mkdir -p -m0755 "%{buildroot}"/%_var/lock/condor
mkdir -p -m1777 "%{buildroot}"/%_var/lock/condor/local


# install the testing materials
populate_cp %_libexecdir/condor/test $oldpwd/src/condor_tests
# these are symlinks, so remove them
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/safe_append.pl
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/batch_test.pl
# remove the [I]Makefiles, source code, and .o files as they're not needed
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*Imakefile*
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*Makefile*
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*.c
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*.cpp
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*.h
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*.o
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*.tmp
# remove because they are zero-length files
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/list_rsc
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/list_performance
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/compiler_list
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/list_stduniv
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/list_critical
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/list_ckpt
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/RuncountChanges
# these are used, but empty, we'll go with the rpmlint warnings for now
#rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/x_locperrelease_locconfigpostsrc
#rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/x_vancrontab_locconfigpostsrc
# remove all vmu and ligo tests
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*vmu_*
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/*ligo_*

# removed because they create a depenedency on the Expect perl module.
# The perl Expect module (RPM generally called perl-Expect) is needed to
# resolve this dependency.
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/job_had_basic.run
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/job_replication_basic.run
rm -f %{buildroot}/%_libexecdir/condor/test/condor_tests/job_replication_big.run
populate %_libexecdir/condor/test/testbin_dir $oldpwd/src/testbin_dir/*
# removed because it's not needed.
rm -f %{buildroot}/%_libexecdir/condor/test/testbin_dir/test_condor.log
populate %_libexecdir/condor/test/condor_scripts $oldpwd/src/condor_scripts/Condor*
# removed because it's not needed.
rm -f %{buildroot}/%_libexecdir/condor/test/condor_scripts/CondorConfig.pm
populate %_libexecdir/condor/test/condor_tests $oldpwd/src/condor_scripts/batch_test.pl
# strip the binaries to avoid lint errors
strip %{buildroot}/%_libexecdir/condor/test/condor_tests/*.exe
strip %{buildroot}/%_libexecdir/condor/test/testbin_dir/condor_procapi
strip %{buildroot}/%_libexecdir/condor/test/testbin_dir/condor_sysapi
strip %{buildroot}/%_libexecdir/condor/test/testbin_dir/condor_unit_tests
strip %{buildroot}/%_libexecdir/condor/test/testbin_dir/libcondorapi.so
strip %{buildroot}/%_libexecdir/condor/test/testbin_dir/test_*
# Create a symlink for condor_examples so the default config file can be
# found
ln -s ../../../share/doc/%name-%version/examples %{buildroot}/%_libexecdir/condor/test/condor_examples


# install the lsb init script
install -Dp -m0755 $PREFIX/etc/examples/condor.init %buildroot/%_initrddir/condor

# we must place the config examples in builddir so %doc can find them
mv $PREFIX/etc/examples %_builddir/%name-%{tarball_version}

# delete our temporary workspace
rm -rf $PREFIX


%clean
rm -rf %{buildroot}


%check
# This currently takes hours and can kill your machine...
#cd condor_tests
#make check-seralized


%files
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt examples
%_initrddir/condor
%dir %_sysconfdir/condor/
%config %_sysconfdir/condor/condor_config
%dir %_sysconfdir/condor/config.d/
%_sysconfdir/condor/config.d/00personal_condor.config
%_sysconfdir/condor/condor_ssh_to_job_sshd_config_template
%dir %_datadir/condor/
%_datadir/condor/Chirp.jar
%_datadir/condor/CondorJavaInfo.class
%_datadir/condor/CondorJavaWrapper.class
%_datadir/condor/Condor.pm
%_datadir/condor/scimark2lib.jar
%dir %_datadir/condor/webservice/
%_datadir/condor/webservice/condorCollector.wsdl
%_datadir/condor/webservice/condorSchedd.wsdl
%dir %_libexecdir/condor/
%_libexecdir/condor/condor_chirp
%_libexecdir/condor/condor_job_router
%_libexecdir/condor/condor_ssh
%_libexecdir/condor/sshd.sh
%_libexecdir/condor/gridftp_wrapper.sh
%_libexecdir/condor/condor_limits_wrapper.sh
%_libexecdir/condor/condor_rooster
%_libexecdir/condor/condor_ssh_to_job_shell_setup
%_libexecdir/condor/condor_ssh_to_job_sshd_setup
%_libexecdir/condor/power_state
%_mandir/man1/condor_advertise.1.gz
%_mandir/man1/condor_config_val.1.gz
%_mandir/man1/condor_findhost.1.gz
%_mandir/man1/condor_history.1.gz
%_mandir/man1/condor_hold.1.gz
%_mandir/man1/condor_master.1.gz
%_mandir/man1/condor_off.1.gz
%_mandir/man1/condor_on.1.gz
%_mandir/man1/condor_preen.1.gz
%_mandir/man1/condor_prio.1.gz
%_mandir/man1/condor_q.1.gz
%_mandir/man1/condor_qedit.1.gz
%_mandir/man1/condor_reconfig.1.gz
%_mandir/man1/condor_release.1.gz
%_mandir/man1/condor_reschedule.1.gz
%_mandir/man1/condor_restart.1.gz
%_mandir/man1/condor_rm.1.gz
%_mandir/man1/condor_run.1.gz
%_mandir/man1/condor_stats.1.gz
%_mandir/man1/condor_status.1.gz
%_mandir/man1/condor_store_cred.1.gz
%_mandir/man1/condor_submit.1.gz
%_mandir/man1/condor_submit_dag.1.gz
%_mandir/man1/condor_updates_stats.1.gz
%_mandir/man1/condor_userlog.1.gz
%_mandir/man1/condor_userprio.1.gz
%_mandir/man1/condor_vacate.1.gz
%_mandir/man1/condor_vacate_job.1.gz
%_mandir/man1/condor_check_userlogs.1.gz
%_mandir/man1/condor_chirp.1.gz
%_mandir/man1/condor_cod.1.gz
%_mandir/man1/condor_dagman.1.gz
%_mandir/man1/condor_fetchlog.1.gz
%_mandir/man1/condor_transfer_data.1.gz
%_mandir/man1/condor_version.1.gz
%_mandir/man1/condor_wait.1.gz
%_mandir/man1/condor_power.1.gz
%_mandir/man1/condor_router_history.1.gz
%_mandir/man1/condor_set_shutdown.1.gz
%_mandir/man1/condor_ssh_to_job.1.gz
# bin/condor is a link for reschedule, vacate
%_bindir/condor
%_bindir/condor_submit_dag
%_bindir/condor_prio
%_bindir/condor_transfer_data
%_bindir/condor_check_userlogs
%_bindir/condor_q
%_sbindir/condor_transferer
%_bindir/condor_cod
%_bindir/condor_qedit
%_bindir/condor_userlog
%_bindir/condor_release
%_bindir/condor_userlog_job_counter
%_bindir/condor_config_val
%_bindir/condor_reschedule
%_bindir/condor_userprio
%_bindir/condor_dagman
%_bindir/condor_rm
%_bindir/condor_vacate
%_bindir/condor_router_history
%_bindir/condor_router_q
%_bindir/condor_router_rm
%_bindir/condor_run
%_bindir/condor_vacate_job
%_bindir/condor_findhost
%_bindir/condor_stats
%_bindir/condor_version
%_bindir/condor_history
%_bindir/condor_status
%_bindir/condor_wait
%_bindir/condor_hold
%_bindir/condor_submit
%_bindir/condor_ssh_to_job
%_bindir/condor_power
%_sbindir/amazon_gahp
# sbin/condor is a link for off, on, reconfig, restart
%_sbindir/condor_advertise
%_sbindir/condor_c-gahp
%_sbindir/condor_c-gahp_worker_thread
%_sbindir/condor_collector
%_sbindir/condor_fetchlog
%_sbindir/condor_gridmanager
%_sbindir/condor_had
%_sbindir/condor_init
%_sbindir/condor_master
%_sbindir/condor_negotiator
%_sbindir/condor_off
%_sbindir/condor_on
%_sbindir/condor_preen
%_sbindir/condor_procd
%_sbindir/condor_reconfig
%_sbindir/condor_replication
%_sbindir/condor_restart
%_sbindir/condor_root_switchboard
%_sbindir/condor_schedd
%_sbindir/condor_shadow
%_sbindir/condor_startd
%_sbindir/condor_starter
%_sbindir/condor_store_cred
%_sbindir/condor_transferd
%_sbindir/condor_updates_stats
#%_sbindir/condor_hdfs
%defattr(-,condor,condor,-)
%dir %_var/lib/condor/
%dir %_var/lib/condor/execute/
%dir %_var/log/condor/
%dir %_var/lib/condor/spool/
%dir %_var/lock/condor/
%dir %_var/lock/condor/local
%dir %_var/run/condor/


#%files static
#%defattr(-,root,root,-)
#%doc LICENSE-2.0.txt NOTICE.txt
#%_libdir/libcondorapi.a
#%dir %_includedir/condor/
#%_includedir/condor/condor_constants.h
#%_includedir/condor/condor_event.h
#%_includedir/condor/condor_holdcodes.h
#%_includedir/condor/file_lock.h
#%_includedir/condor/user_log.c++.h
#%doc %_includedir/condor/user_log.README
#%dir %_usrsrc/chirp/
#%_usrsrc/chirp/chirp_client.c
#%_usrsrc/chirp/chirp_client.h
#%_usrsrc/chirp/chirp_protocol.h


%files qmf
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sysconfdir/condor/config.d/60condor-qmf.config
%dir %_libdir/condor/plugins
%_libdir/condor/plugins/MgmtCollectorPlugin-plugin.so
%_libdir/condor/plugins/MgmtMasterPlugin-plugin.so
%_libdir/condor/plugins/MgmtNegotiatorPlugin-plugin.so
%_libdir/condor/plugins/MgmtScheddPlugin-plugin.so
%_libdir/condor/plugins/MgmtStartdPlugin-plugin.so
%_bindir/get_trigger_data
%_sbindir/condor_trigger_config
%_sbindir/condor_triggerd
%_sbindir/condor_job_server


%files kbdd
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sbindir/condor_kbdd


%if 0%{?rhel} != 4
%files vm-gahp
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sbindir/condor_vm-gahp
%_sbindir/condor_vm_vmware.pl
%_sbindir/condor_vm_xen.sh
%_libexecdir/condor/libvirt_simple_script.awk
%endif


%files test
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%defattr(0775,condor,condor,-)
%dir %_libexecdir/condor/test
%dir %_libexecdir/condor/test/condor_tests
%_libexecdir/condor/test/condor_tests/job_core_queue.pl
%defattr(0755,condor,condor,-)
%dir %_libexecdir/condor/test/condor_scripts
%dir %_libexecdir/condor/test/testbin_dir
%_libexecdir/condor/test/condor_tests/batch_test.pl
%_libexecdir/condor/test/condor_tests/job_condorc_ab_van.pl
%_libexecdir/condor/test/condor_tests/job_condorc_xxx_van.pl
%_libexecdir/condor/test/condor_tests/job_core_args.pl
%_libexecdir/condor/test/condor_tests/job_core_basic_par.pl
%_libexecdir/condor/test/condor_tests/job_core_corefiles.pl
%_libexecdir/condor/test/condor_tests/job_core_crontab.pl
%_libexecdir/condor/test/condor_tests/job_core_err.pl
%_libexecdir/condor/test/condor_tests/job_core_getenv.pl
%_libexecdir/condor/test/condor_tests/job_core_holdkillsig.pl
%_libexecdir/condor/test/condor_tests/job_core_input.pl
%_libexecdir/condor/test/condor_tests/job_core_killsignal.pl
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-false_java.pl
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-false_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-false_van.pl
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-true_java.pl
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-true_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-true_van.pl
%_libexecdir/condor/test/condor_tests/job_core_macros.pl
%_libexecdir/condor/test/condor_tests/job_core_matchlist.pl
%_libexecdir/condor/test/condor_tests/job_core_niceuser.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_java.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_local.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_van.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_java.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_local.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_van.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_java.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_local.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_van.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_java.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_local.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_van.pl
%_libexecdir/condor/test/condor_tests/job_core_output.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_java.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_local.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_van.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_java.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_local.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_van.pl
%_libexecdir/condor/test/condor_tests/job_core_periodicremove_van.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_java.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_local.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_van.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_java.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_local.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_van.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_java.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_local.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_van.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_java.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_local.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_sched.pl
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_van.pl
%_libexecdir/condor/test/condor_tests/job_core_priority.pl
%_libexecdir/condor/test/condor_tests/job_core_rmkillsig.pl
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-hold.pl
%_libexecdir/condor/test/condor_tests/job_core_time-deferral.pl
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-remove.pl
%_libexecdir/condor/test/condor_tests/job_dagman_comlog.pl
%_libexecdir/condor/test/condor_tests/job_dagman_fullremove.pl
%_libexecdir/condor/test/condor_tests/job_dagman_monitor.pl
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog.pl
%_libexecdir/condor/test/condor_tests/job_dagman_xmlcomlog.pl
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog.pl
%_libexecdir/condor/test/condor_tests/job_filexfer_base-input4_van.pl
%_libexecdir/condor/test/condor_tests/job_filexfer_input-onegone_van.pl
%_libexecdir/condor/test/condor_tests/job_filexfer_md5-remote.pl
%_libexecdir/condor/test/condor_tests/job_filexfer_sandbox-empty_van.pl
%_libexecdir/condor/test/condor_tests/job_filexfer_trans-excut-true_van.pl
%_libexecdir/condor/test/condor_tests/job_flocking_to.pl
%_libexecdir/condor/test/condor_tests/job_schedd_restart-holdjobs-ok.pl
%_libexecdir/condor/test/condor_tests/job_schedd_restart-runningjobs-ok.pl
%_libexecdir/condor/test/condor_tests/job_startd_multimatch.pl
%_libexecdir/condor/test/condor_tests/lib_auth_config.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot.pl
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt2.pl
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt3.pl
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt4.pl
%_libexecdir/condor/test/condor_tests/lib_eventlog.pl
%_libexecdir/condor/test/condor_tests/lib_procapi_cputracking-snapshot.pl
%_libexecdir/condor/test/condor_tests/x_addfullclass.pl
%_libexecdir/condor/test/condor_tests/x_changepatterns.pl
%_libexecdir/condor/test/condor_tests/x_chirpio_mkdata.pl
%_libexecdir/condor/test/condor_tests/x_cmdrunforever.pl
%_libexecdir/condor/test/condor_tests/x_cmdstartonhold.pl
%_libexecdir/condor/test/condor_tests/x_copy_binary_file.pl
%_libexecdir/condor/test/condor_tests/x_cpu_tracking.pl
%_libexecdir/condor/test/condor_tests/x_create_md5data.pl
%_libexecdir/condor/test/condor_tests/x_dagman_boring_prescript.pl
%_libexecdir/condor/test/condor_tests/x_dagman_node-ret.pl
%_libexecdir/condor/test/condor_tests/x_dagman_premonitor.pl
%_libexecdir/condor/test/condor_tests/x_dagman_readflowlog.pl
%_libexecdir/condor/test/condor_tests/x_dagman_readprepostlog.pl
%_libexecdir/condor/test/condor_tests/x_dagman_retry-monitor.pl
%_libexecdir/condor/test/condor_tests/x_doublejeopardy.pl
%_libexecdir/condor/test/condor_tests/x_echo1234.pl
%_libexecdir/condor/test/condor_tests/x_gen_autoscale.pl
%_libexecdir/condor/test/condor_tests/x_general_client.pl
%_libexecdir/condor/test/condor_tests/x_general_server.pl
%_libexecdir/condor/test/condor_tests/x_globaledit.pl
%_libexecdir/condor/test/condor_tests/x_job_filexfer_stream.pl
%_libexecdir/condor/test/condor_tests/x_job_filexfer_testjob.pl
%_libexecdir/condor/test/condor_tests/x_job_signal-suicide.pl
%_libexecdir/condor/test/condor_tests/x_lib_auth_protocol.pl
%_libexecdir/condor/test/condor_tests/x_lookaround.pl
%_libexecdir/condor/test/condor_tests/x_makeclean.pl
%_libexecdir/condor/test/condor_tests/x_makestorkdag.pl
%_libexecdir/condor/test/condor_tests/x_paralleljob.pl
%_libexecdir/condor/test/condor_tests/x_perf_autoscale.pl
%_libexecdir/condor/test/condor_tests/x_perf_busy.pl
%_libexecdir/condor/test/condor_tests/x_perf_transfer_createdata.pl
%_libexecdir/condor/test/condor_tests/x_perf_transfer_remote.pl
%_libexecdir/condor/test/condor_tests/x_pid_tracking.pl
%_libexecdir/condor/test/condor_tests/x_print-args-and-env.pl
%_libexecdir/condor/test/condor_tests/x_read_binary_file.pl
%_libexecdir/condor/test/condor_tests/x_readqueuelog.pl
%_libexecdir/condor/test/condor_tests/x_reclassimakefile.pl
%_libexecdir/condor/test/condor_tests/x_renamebypattern.pl
%_libexecdir/condor/test/condor_tests/x_rename_inouterr.pl
%_libexecdir/condor/test/condor_tests/x_renametool.pl
%_libexecdir/condor/test/condor_tests/x_returnquick.pl
%_libexecdir/condor/test/condor_tests/x_runstorkdag.pl
%_libexecdir/condor/test/condor_tests/x_runtests.pl
%_libexecdir/condor/test/condor_tests/x_sanitysubmit.pl
%_libexecdir/condor/test/condor_tests/x_sleep.pl
%_libexecdir/condor/test/condor_tests/x_striplines.pl
%_libexecdir/condor/test/condor_tests/x_test_md5data.pl
%_libexecdir/condor/test/condor_tests/x_time.pl
%_libexecdir/condor/test/condor_tests/fetch_work-basic.pl
%_libexecdir/condor/test/condor_tests/fort-gen.pl
%_libexecdir/condor/test/condor_tests/job_core_perrelease_local.pl
%_libexecdir/condor/test/condor_tests/x_java_CondorEcho.class
%_libexecdir/condor/test/condor_tests/x_java_CopyFilePlus.class
%_libexecdir/condor/test/condor_tests/x_java_Property.class
%_libexecdir/condor/test/condor_tests/x_java_ReadStdin.class
%_libexecdir/condor/test/condor_tests/x_java_RenameFile.class
%_libexecdir/condor/test/condor_tests/x_java_Sleep.class
%_libexecdir/condor/test/condor_tests/x_perf_Busy.class
%_libexecdir/condor/test/condor_tests/x_perf_CopyFile.class
%_libexecdir/condor/test/condor_tests/x_perf_Sleep.class
%_libexecdir/condor/test/condor_tests/alwaysfail.run
%_libexecdir/condor/test/condor_tests/cmd_chirp_get-set_par.pl
%_libexecdir/condor/test/condor_tests/cmd_chirp_get-set_par.run
%_libexecdir/condor/test/condor_tests/cmd_chirp_get-set_par.template
%_libexecdir/condor/test/condor_tests/x_chirp_get-set_partool.pl
%_libexecdir/condor/test/condor_tests/cmd_q_multi.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-analyze.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-better-analyze.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-cputime.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-format.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-global.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-hold.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-name.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-pool.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-run.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-sub.run
%_libexecdir/condor/test/condor_tests/cmd_q_shows-xml.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-any.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-avail.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-claim.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-constraint.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-format.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-help.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-master.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-negotiator.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-schedd.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-startd.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-state.run
%_libexecdir/condor/test/condor_tests/cmd_status_shows-submitters.run
%_libexecdir/condor/test/condor_tests/cmd_wait_shows-all.run
%_libexecdir/condor/test/condor_tests/cmd_wait_shows-base.run
%_libexecdir/condor/test/condor_tests/cmd_wait_shows-notimeout.run
%_libexecdir/condor/test/condor_tests/cmd_wait_shows-partial.run
%_libexecdir/condor/test/condor_tests/cmd_wait_shows-timeout.run
%_libexecdir/condor/test/condor_tests/job_ckpt_combo-sanity_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_constructor_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_dup_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_env_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_f-areauc_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_f-floats_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_f-integers_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_floats-async_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_floats_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_f-printer_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_f-reader_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_getrusage-loop_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_gettimeofday_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_integers_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_io-async_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_io-buffer-async_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_longjmp_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_memory-file_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_open-async-ckpt_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_open-N-parallel_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_signals_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_socket-support_std.run
%_libexecdir/condor/test/condor_tests/job_ckpt_stack_std.run
%_libexecdir/condor/test/condor_tests/job_condorc_abc_van.run
%_libexecdir/condor/test/condor_tests/job_condorc_ab_van.run
%_libexecdir/condor/test/condor_tests/job_core_args_java.run
%_libexecdir/condor/test/condor_tests/job_core_args_sched.run
%_libexecdir/condor/test/condor_tests/job_core_args_van.run
%_libexecdir/condor/test/condor_tests/job_core_basic_par.run
%_libexecdir/condor/test/condor_tests/job_core_basic-security_par.run
%_libexecdir/condor/test/condor_tests/job_core_bigenv_sched.run
%_libexecdir/condor/test/condor_tests/job_core_bigenv_std.run
%_libexecdir/condor/test/condor_tests/job_core_bigenv_van.run
%_libexecdir/condor/test/condor_tests/job_core_compressfiles_std.run
%_libexecdir/condor/test/condor_tests/job_core_copytospool_van.run
%_libexecdir/condor/test/condor_tests/job_core_coredump_std.run
%_libexecdir/condor/test/condor_tests/job_core_coredump_van.run
%_libexecdir/condor/test/condor_tests/job_core_corefiles_sched.run
%_libexecdir/condor/test/condor_tests/job_core_corefiles_van.run
%_libexecdir/condor/test/condor_tests/job_core-cpp_exception_std.run
%_libexecdir/condor/test/condor_tests/job_core-cpp_mem-alloc_std.run
%_libexecdir/condor/test/condor_tests/job_core_crontab_local.run
%_libexecdir/condor/test/condor_tests/job_core_crontab_van.run
%_libexecdir/condor/test/condor_tests/job_core_doublejeopardy_sched.run
%_libexecdir/condor/test/condor_tests/job_core_doublejeopardy_van.run
%_libexecdir/condor/test/condor_tests/job_core_env_java.run
%_libexecdir/condor/test/condor_tests/job_core_env_sched.run
%_libexecdir/condor/test/condor_tests/job_core_env_van.run
%_libexecdir/condor/test/condor_tests/job_core_err_java.run
%_libexecdir/condor/test/condor_tests/job_core_err_sched.run
%_libexecdir/condor/test/condor_tests/job_core_err_van.run
%_libexecdir/condor/test/condor_tests/job_core_getenv_van.run
%_libexecdir/condor/test/condor_tests/job_core_hold_java.run
%_libexecdir/condor/test/condor_tests/job_core_holdkillsig_sched.run
%_libexecdir/condor/test/condor_tests/job_core_holdrelease_sched.run
%_libexecdir/condor/test/condor_tests/job_core_holdrelease_van.run
%_libexecdir/condor/test/condor_tests/job_core_hold_sched.run
%_libexecdir/condor/test/condor_tests/job_core_hold_van.run
%_libexecdir/condor/test/condor_tests/job_core_initialdir_java.run
%_libexecdir/condor/test/condor_tests/job_core_initialdir_sched.run
%_libexecdir/condor/test/condor_tests/job_core_initialdir_van.run
%_libexecdir/condor/test/condor_tests/job_core_input_java.run
%_libexecdir/condor/test/condor_tests/job_core_input_sched.run
%_libexecdir/condor/test/condor_tests/job_core_input_van.run
%_libexecdir/condor/test/condor_tests/job_core_killsignal_java.run
%_libexecdir/condor/test/condor_tests/job_core_killsignal_sched.run
%_libexecdir/condor/test/condor_tests/job_core_killsignal_van.run
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue_java.run
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue_sched.run
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue_van.run
%_libexecdir/condor/test/condor_tests/job_core_macros-dollardollar_van.run
%_libexecdir/condor/test/condor_tests/job_core_macros_java.run
%_libexecdir/condor/test/condor_tests/job_core_macros_sched.run
%_libexecdir/condor/test/condor_tests/job_core_matchlist_van.run
%_libexecdir/condor/test/condor_tests/job_core_max-running_local.run
%_libexecdir/condor/test/condor_tests/job_core_niceuser_van.run
%_libexecdir/condor/test/condor_tests/job_core_onexithold_java.run
%_libexecdir/condor/test/condor_tests/job_core_onexithold_local.run
%_libexecdir/condor/test/condor_tests/job_core_onexithold_sched.run
%_libexecdir/condor/test/condor_tests/job_core_onexithold_van.run
%_libexecdir/condor/test/condor_tests/job_core_onexitrem_java.run
%_libexecdir/condor/test/condor_tests/job_core_onexitrem_local.run
%_libexecdir/condor/test/condor_tests/job_core_onexitrem_sched.run
%_libexecdir/condor/test/condor_tests/job_core_onexitrem_van.run
%_libexecdir/condor/test/condor_tests/job_core_output_java.run
%_libexecdir/condor/test/condor_tests/job_core_output_sched.run
%_libexecdir/condor/test/condor_tests/job_core_output_van.run
%_libexecdir/condor/test/condor_tests/job_core_perhold_java.run
%_libexecdir/condor/test/condor_tests/job_core_perhold_local.run
%_libexecdir/condor/test/condor_tests/job_core_perhold_sched.run
%_libexecdir/condor/test/condor_tests/job_core_perhold_van.run
%_libexecdir/condor/test/condor_tests/job_core_periodicremove_van.run
%_libexecdir/condor/test/condor_tests/job_core_perrelease_java.run
%_libexecdir/condor/test/condor_tests/job_core_perrelease_local.run
%_libexecdir/condor/test/condor_tests/job_core_perrelease_sched.run
%_libexecdir/condor/test/condor_tests/job_core_perrelease_van.run
%_libexecdir/condor/test/condor_tests/job_core_perremove_java.run
%_libexecdir/condor/test/condor_tests/job_core_perremove_local.run
%_libexecdir/condor/test/condor_tests/job_core_perremove_sched.run
%_libexecdir/condor/test/condor_tests/job_core_perremove_van.run
%_libexecdir/condor/test/condor_tests/job_core_plus_java.run
%_libexecdir/condor/test/condor_tests/job_core_plus_sched.run
%_libexecdir/condor/test/condor_tests/job_core_plus_van.run
%_libexecdir/condor/test/condor_tests/job_core_priority_java.run
%_libexecdir/condor/test/condor_tests/job_core_priority_van.run
%_libexecdir/condor/test/condor_tests/job_core_queue_sched.run
%_libexecdir/condor/test/condor_tests/job_core_remote-initialdir_van.run
%_libexecdir/condor/test/condor_tests/job_core_rmkillsig_sched.run
%_libexecdir/condor/test/condor_tests/job_core_sh-loop_van.run
%_libexecdir/condor/test/condor_tests/job_core_signal-suicide_sched.run
%_libexecdir/condor/test/condor_tests/job_core_signal-suicide_van.run
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-hold_local.run
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-hold_van.run
%_libexecdir/condor/test/condor_tests/job_core_time-deferral_local.run
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-remove_local.run
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-remove_van.run
%_libexecdir/condor/test/condor_tests/job_core_time-deferral_van.run
%_libexecdir/condor/test/condor_tests/job_dagman_basic.run
%_libexecdir/condor/test/condor_tests/job_dagman_comlog.run
%_libexecdir/condor/test/condor_tests/job_dagman_fullremove.run
%_libexecdir/condor/test/condor_tests/job_dagman_maxpostscripts.run
%_libexecdir/condor/test/condor_tests/job_dagman_maxprescripts.run
%_libexecdir/condor/test/condor_tests/job_dagman_prepost.run
%_libexecdir/condor/test/condor_tests/job_dagman_retry.run
%_libexecdir/condor/test/condor_tests/job_dagman_stork-file-file.run
%_libexecdir/condor/test/condor_tests/job_dagman_stork-remove.run
%_libexecdir/condor/test/condor_tests/job_dagman_throttle.run
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog.run
%_libexecdir/condor/test/condor_tests/job_dagman_unlessexit.run
%_libexecdir/condor/test/condor_tests/job_dagman_xmlcomlog.run
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog.run
%_libexecdir/condor/test/condor_tests/job_filexfer_base-input1_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_base-input4_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_base_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_basic_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_input-onegone_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_limitback_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_md5_java.run
%_libexecdir/condor/test/condor_tests/job_filexfer_md5-remote_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_minus1_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_output_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_output-withvacate_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_sandbox-empty_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_streamerr_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_streamout_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_trans-excut-true_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_trans-nodflts_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_twosets_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_whento-base_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_whento-simpleinput_van.run
%_libexecdir/condor/test/condor_tests/job_filexfer_whento-withinput_van.run
%_libexecdir/condor/test/condor_tests/job_flocking_to.run
%_libexecdir/condor/test/condor_tests/job_rsc_all-syscalls_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_binary-io_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_fcntl_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_f-direct-write_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_fgets_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_fread_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_fstream_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_ftell_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_getdirentries_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_hello_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_open-N-serial_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_stat_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_true-false_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_truncate_std.run
%_libexecdir/condor/test/condor_tests/job_rsc_zero-calloc_std.run
%_libexecdir/condor/test/condor_tests/job_schedd_job-tracking_van.run
%_libexecdir/condor/test/condor_tests/job_schedd_restart-holdjobs-ok.run
%_libexecdir/condor/test/condor_tests/job_schedd_restart-runningjobs-ok.run
%_libexecdir/condor/test/condor_tests/job_startd_multimatch.run
%_libexecdir/condor/test/condor_tests/job_stork_file-file.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-ctb.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-fs.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-gsi.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-krb.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt2.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt3.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt4.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-pw.run
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-ssl.run
%_libexecdir/condor/test/condor_tests/lib_chirpio_van.run
%_libexecdir/condor/test/condor_tests/lib_classads.run
%_libexecdir/condor/test/condor_tests/lib_eventlog.run
%_libexecdir/condor/test/condor_tests/lib_eventlog-xml.run
%_libexecdir/condor/test/condor_tests/lib_procapi_cputracking-snapshot.run
%_libexecdir/condor/test/condor_tests/lib_procapi_pidtracking-byenv.run
%_libexecdir/condor/test/condor_tests/lib_procapi_pidtracking-snapshot.run
%_libexecdir/condor/test/condor_tests/lib_procapi.run
%_libexecdir/condor/test/condor_tests/lib_sysapi.run
%_libexecdir/condor/test/condor_tests/lib_unit_tests.run
%_libexecdir/condor/test/condor_tests/lib_userlog.run
%_libexecdir/condor/test/condor_tests/perf_busy_lynn_100_100_500_sched.run
%_libexecdir/condor/test/condor_tests/perf_jobs_sue_10_10_30_van.run
%_libexecdir/condor/test/condor_tests/perf_xfer_deb_10_10_30_van.run
%_libexecdir/condor/test/condor_tests/soap_job_tests.run
%_libexecdir/condor/test/condor_tests/fetch_work-basic.run
%_libexecdir/condor/test/condor_tests/job_condorc_xxx_van.sh
%_libexecdir/condor/test/condor_tests/job_core_sh-loop_van.sh
%_libexecdir/condor/test/condor_tests/x_trapsig.sh
%_libexecdir/condor/test/condor_tests/job_core_bigenv.exe
%_libexecdir/condor/test/condor_tests/lib_chirpio.exe
%_libexecdir/condor/test/condor_tests/x_dumpcore.exe
%_libexecdir/condor/test/condor_tests/x_read_joblog.exe
%_libexecdir/condor/test/condor_tests/x_return-n.exe
%_libexecdir/condor/test/condor_tests/x_tightloop.exe
%_libexecdir/condor/test/condor_tests/x_trapsig.exe
%_libexecdir/condor/test/condor_tests/x_write_joblog_events.exe
%_libexecdir/condor/test/condor_tests/x_write_joblog.exe
%_libexecdir/condor/test/condor_tests/job_core_priority2.template
%_libexecdir/condor/test/condor_tests/job_dagman_prepost-prehello.template
%_libexecdir/condor/test/condor_tests/job_dagman_maxpostscripts-checkin.template
%_libexecdir/condor/test/condor_tests/x_perf_autoscale_run_template
%_libexecdir/condor/test/condor_tests/job_dagman_prepost-posthello.template
%_libexecdir/condor/test/condor_tests/job_dagman_maxprescripts-checkin.template
%_libexecdir/condor/test/testbin_dir/condor_procapi
%_libexecdir/condor/test/testbin_dir/condor_sysapi
%_libexecdir/condor/test/testbin_dir/condor_test_auth
%_libexecdir/condor/test/testbin_dir/condor_unit_tests
%_libexecdir/condor/test/testbin_dir/test_classads
%_libexecdir/condor/test/testbin_dir/test_libcondorapi
%_libexecdir/condor/test/testbin_dir/test_libcondorapi_shared
%defattr(0664,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_core_queue_sched.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_output-withvacate_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_minus1_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_base-input1_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_base-input4_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_base_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_limitback_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_whento-base_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_whento-simpleinput_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_whento-withinput_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_output_van.cmd
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_examples
%_libexecdir/condor/test/condor_scripts/CondorPersonal.pm
%_libexecdir/condor/test/condor_scripts/Condor.pm
%_libexecdir/condor/test/condor_scripts/CondorTest.pm
%_libexecdir/condor/test/condor_tests/cmd_q_multi.template
%_libexecdir/condor/test/condor_tests/cmd_q_shows-analyze.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-better-analyze.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-cputime.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-format.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-hold.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-run.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-sub.cmd
%_libexecdir/condor/test/condor_tests/cmd_q_shows-xml.cmd
%_libexecdir/condor/test/condor_tests/CondorPersonal.pm
%_libexecdir/condor/test/condor_tests/Condor.pm
%_libexecdir/condor/test/condor_tests/CondorTest.pm
%_libexecdir/condor/test/condor_tests/job_ckpt_combo-sanity_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_constructor_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_dup_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_env_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-areauc_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-areauc_std.f
%_libexecdir/condor/test/condor_tests/job_ckpt_f-floats_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-floats_std.f
%_libexecdir/condor/test/condor_tests/job_ckpt_f-integers_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-integers_std.f
%_libexecdir/condor/test/condor_tests/job_ckpt_floats-async_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_floats_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-printer_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-printer_std.f
%_libexecdir/condor/test/condor_tests/job_ckpt_f-reader_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_f-reader_std.f
%_libexecdir/condor/test/condor_tests/job_ckpt_f-reader_std.in
%_libexecdir/condor/test/condor_tests/job_ckpt_getrusage-loop_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_gettimeofday_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_integers_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_io-async_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_io-buffer-async_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_longjmp_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_memory-file_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_open-async-ckpt_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_open-N-parallel_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_signals_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_socket-support_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_stack_std.cmd
%_libexecdir/condor/test/condor_tests/job_condorc_abc_van.template
%_libexecdir/condor/test/condor_tests/job_condorc_ab_van.template
%_libexecdir/condor/test/condor_tests/job_core_args_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_args_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_args_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_basic_par.template
%_libexecdir/condor/test/condor_tests/job_core_bigenv_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_bigenv_std.cmd
%_libexecdir/condor/test/condor_tests/job_core_bigenv_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_compressfiles_std.cmd
%_libexecdir/condor/test/condor_tests/job_core_compressfiles_std.data
%_libexecdir/condor/test/condor_tests/job_core_copytospool_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_coredump-none_std.cmd
%_libexecdir/condor/test/condor_tests/job_core_coredump-none_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_coredump-xfer_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_coredump-yes_std.cmd
%_libexecdir/condor/test/condor_tests/job_core_coredump-yes_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_corefiles_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_corefiles_van.cmd
%_libexecdir/condor/test/condor_tests/job_core-cpp_exception_std.cmd
%_libexecdir/condor/test/condor_tests/job_core-cpp_mem-alloc_std.cmd
%_libexecdir/condor/test/condor_tests/job_core_crontab.cmd
%_libexecdir/condor/test/condor_tests/job_core_doublejeopardy_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_doublejeopardy_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_env_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_env_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_env_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_err_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_err_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_err_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_getenv_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_hold_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_holdkillsig_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_holdrelease_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_holdrelease_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_hold_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_hold_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_initialdir_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_initialdir_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_initialdir_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_input.in
%_libexecdir/condor/test/condor_tests/job_core_input_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_input_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_input_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_killsignal_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_killsignal_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_killsignal_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-false_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-false_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-false_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-true_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-true_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_leaveinqueue-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_macros-dollardollar_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_macros_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_macros_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_matchlist_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_max-running_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_niceuser_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-false_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexithold-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-false_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_onexitrem-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_output.in
%_libexecdir/condor/test/condor_tests/job_core_output_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_output_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_output_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-false_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_perhold-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_periodicremove_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-false_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_local.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_perremove-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_plus_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_plus_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_plus_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_priority.data
%_libexecdir/condor/test/condor_tests/job_core_priority_java.cmd
%_libexecdir/condor/test/condor_tests/job_core_priority_java.data
%_libexecdir/condor/test/condor_tests/job_core_priority_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_priority_van.data
%_libexecdir/condor/test/condor_tests/job_core_remote-initialdir_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_remote-initialdir_van.in
%_libexecdir/condor/test/condor_tests/job_core_rmkillsig_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_sh-loop_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_signal-suicide_sched.cmd
%_libexecdir/condor/test/condor_tests/job_core_signal-suicide_van.cmd
%_libexecdir/condor/test/condor_tests/job_core_time-deferral.cmd
%_libexecdir/condor/test/condor_tests/job_core_time-deferral-tests.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_basic.dag
%_libexecdir/condor/test/condor_tests/job_dagman_basic-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_comlog.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_comlog.dag
%_libexecdir/condor/test/condor_tests/job_dagman_fullremove.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_fullremove.dag
%_libexecdir/condor/test/condor_tests/job_dagman_maxpostscripts.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_maxpostscripts.dag
%_libexecdir/condor/test/condor_tests/job_dagman_maxpostscripts-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_maxprescripts.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_maxprescripts.dag
%_libexecdir/condor/test/condor_tests/job_dagman_maxprescripts-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_prepost.dag
%_libexecdir/condor/test/condor_tests/job_dagman_prepost-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_retry.dag
%_libexecdir/condor/test/condor_tests/job_dagman_retry-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_throttle.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_throttle.dag
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog3.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog4.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_uncomlog.dag
%_libexecdir/condor/test/condor_tests/job_dagman_unlessexit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_unlessexit.dag
%_libexecdir/condor/test/condor_tests/job_dagman_xmlcomlog.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_xmlcomlog.dag
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog3.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog4.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_xmluncomlog.dag
%_libexecdir/condor/test/condor_tests/job_filexfer_basic.data
%_libexecdir/condor/test/condor_tests/job_filexfer_basic_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_md5-remote_java.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_md5-remote_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_sandbox-empty_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_streamerr_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_streamout_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_trans-excut-true_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_trans-nodflts_van.cmd
%_libexecdir/condor/test/condor_tests/job_filexfer_twosets_van.cmd
%_libexecdir/condor/test/condor_tests/job_flocking_to.cmd
%_libexecdir/condor/test/condor_tests/job_had_basic.cfg
%_libexecdir/condor/test/condor_tests/job_had_basic.locpostsrc.template
%_libexecdir/condor/test/condor_tests/job_replication_basic.cfg
%_libexecdir/condor/test/condor_tests/job_replication_basic.localpostsrc
%_libexecdir/condor/test/condor_tests/job_replication_big.cfg
%_libexecdir/condor/test/condor_tests/job_replication_big.localpostsrc
%_libexecdir/condor/test/condor_tests/job_rsc_all-syscalls_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_binary-io_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_fcntl_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_f-direct-write_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_f-direct-write_std.f
%_libexecdir/condor/test/condor_tests/job_rsc_fgets_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_fread_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_fstream_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_ftell_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_getdirentries_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_hello_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_open-N-serial_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_stat_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_true-false_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_truncate_std.cmd
%_libexecdir/condor/test/condor_tests/job_rsc_zero-calloc_std.cmd
%_libexecdir/condor/test/condor_tests/job_schedd_job-tracking_van.cmd
%_libexecdir/condor/test/condor_tests/job_schedd_restart-holdjobs-ok.cmd
%_libexecdir/condor/test/condor_tests/job_schedd_restart-holdjobs-ok.template
%_libexecdir/condor/test/condor_tests/job_schedd_restart-runningjobs-ok.cmd
%_libexecdir/condor/test/condor_tests/job_schedd_restart-runningjobs-ok.template
%_libexecdir/condor/test/condor_tests/job_startd_multimatch.ad
%_libexecdir/condor/test/condor_tests/job_startd_multimatch.cmd
%_libexecdir/condor/test/condor_tests/job_stork_file-file.stork
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_1_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_1_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2a_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2a_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2b_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2b_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2c_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2c_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2d_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2d_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2e_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2e_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2f_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2f_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2g_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2g_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2h_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_2h_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_3_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_3_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_4_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_4_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_5_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_5_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_6_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_6_input
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-ctb.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-fs.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-gsi.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-krb.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot.data
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt2.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt2.data
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt3.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt3.data
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt4.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-negot-prt4.data
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-pw.cmd
%_libexecdir/condor/test/condor_tests/lib_auth_protocol-ssl.cmd
%_libexecdir/condor/test/condor_tests/lib_chirpio_van.cmd
%_libexecdir/condor/test/condor_tests/lib_eventlog.template
%_libexecdir/condor/test/condor_tests/lib_procapi_cputracking-snapshot.cmd
%_libexecdir/condor/test/condor_tests/lib_procapi_pidtracking-byenv.cmd
%_libexecdir/condor/test/condor_tests/lib_procapi_pidtracking-snapshot.cmd
%_libexecdir/condor/test/condor_tests/lib_userlog.cmd
%_libexecdir/condor/test/condor_tests/list_all
%_libexecdir/condor/test/condor_tests/list_btdebug
%_libexecdir/condor/test/condor_tests/list_condorc
%_libexecdir/condor/test/condor_tests/list_core
%_libexecdir/condor/test/condor_tests/list_dagman
%_libexecdir/condor/test/condor_tests/list_env
%_libexecdir/condor/test/condor_tests/list_filexfer
%_libexecdir/condor/test/condor_tests/list_framework
%_libexecdir/condor/test/condor_tests/list_full
%_libexecdir/condor/test/condor_tests/list_lib
%_libexecdir/condor/test/condor_tests/list_local
%_libexecdir/condor/test/condor_tests/list_long
%_libexecdir/condor/test/condor_tests/list_quick
%_libexecdir/condor/test/condor_tests/list_quicknolink
%_libexecdir/condor/test/condor_tests/list_simple
%_libexecdir/condor/test/condor_tests/list_testclass
%_libexecdir/condor/test/condor_tests/perf_busy_lynn_100_100_500_sched.cmd
%_libexecdir/condor/test/condor_tests/perf_jobs_sue_10_10_30_van.cmd
%_libexecdir/condor/test/condor_tests/perf_xfer_deb_10_10_30_van.cmd
%_libexecdir/condor/test/condor_tests/README
%_libexecdir/condor/test/condor_tests/README.filenames
%_libexecdir/condor/test/condor_tests/README.imake
%_libexecdir/condor/test/condor_tests/README.running
%_libexecdir/condor/test/condor_tests/README.testclass
%_libexecdir/condor/test/condor_tests/testmethods.txt
%_libexecdir/condor/test/condor_tests/TimeoutChanges
%_libexecdir/condor/test/condor_tests/Windows_list
%_libexecdir/condor/test/condor_tests/Windows_testing
%_libexecdir/condor/test/condor_tests/WISDOM.C-tests
%_libexecdir/condor/test/condor_tests/WISDOM.Fortran
%_libexecdir/condor/test/condor_tests/x_auth_poolpasswd
%_libexecdir/condor/test/condor_tests/x_basicparallel_locconfigpostsrc
%_libexecdir/condor/test/condor_tests/x_basicparallel-security_locconfigpostsrc
%_libexecdir/condor/test/condor_tests/x_cmdrunforever.cmd
%_libexecdir/condor/test/condor_tests/x_cmdrunforever.cmd2
%_libexecdir/condor/test/condor_tests/x_cmdrunforever.cmd3
%_libexecdir/condor/test/condor_tests/x_cmdrunforever.cmd4
%_libexecdir/condor/test/condor_tests/x_cmdstartonhold.cmd
%_libexecdir/condor/test/condor_tests/x_condorc_locconfigpostsrc
%_libexecdir/condor/test/condor_tests/x_condor_config_template
%_libexecdir/condor/test/condor_tests/x_cpusnaptrack_configpostsrc
%_libexecdir/condor/test/condor_tests/x_data.in
%_libexecdir/condor/test/condor_tests/x_flockto_configpostsrc.template
%_libexecdir/condor/test/condor_tests/x_hadutilities.pm
%_libexecdir/condor/test/condor_tests/x_hello.in
%_libexecdir/condor/test/condor_tests/x_java_CondorEcho.java
%_libexecdir/condor/test/condor_tests/x_java_CopyFilePlus.java
%_libexecdir/condor/test/condor_tests/x_java_Property.java
%_libexecdir/condor/test/condor_tests/x_java_ReadStdin.java
%_libexecdir/condor/test/condor_tests/x_java_RenameFile.java
%_libexecdir/condor/test/condor_tests/x_java_Sleep.java
%_libexecdir/condor/test/condor_tests/x_lib_auth-gsi_keys.tgz
%_libexecdir/condor/test/condor_tests/x_lib_auth-ssl_keys.tgz
%_libexecdir/condor/test/condor_tests/x_lib_eventlog_config_postsrc.template
%_libexecdir/condor/test/condor_tests/x_lib_eventlog.expected
%_libexecdir/condor/test/condor_tests/x_lib_eventlog-xml_config_postsrc.template
%_libexecdir/condor/test/condor_tests/x_locperrelease_locconfigpostsrc
%_libexecdir/condor/test/condor_tests/x_param.basicparallel
%_libexecdir/condor/test/condor_tests/x_param.basicparallel-security
%_libexecdir/condor/test/condor_tests/x_param.basic_personal
%_libexecdir/condor/test/condor_tests/x_param.cmdq-multi
%_libexecdir/condor/test/condor_tests/x_param.cmdq-multi.template
%_libexecdir/condor/test/condor_tests/x_param.cmdstatus-multi
%_libexecdir/condor/test/condor_tests/x_param.cmdstatus-multi.template
%_libexecdir/condor/test/condor_tests/x_param.condorclocal
%_libexecdir/condor/test/condor_tests/x_param.condorcmiddle
%_libexecdir/condor/test/condor_tests/x_param.condorcremote
%_libexecdir/condor/test/condor_tests/x_param.cputracking-snapshot
%_libexecdir/condor/test/condor_tests/x_param.flocktestflockto
%_libexecdir/condor/test/condor_tests/x_param.flocktestlocal
%_libexecdir/condor/test/condor_tests/x_param.had
%_libexecdir/condor/test/condor_tests/x_param.libeventlog
%_libexecdir/condor/test/condor_tests/x_param.libeventlog-xml
%_libexecdir/condor/test/condor_tests/x_param.periodicremove
%_libexecdir/condor/test/condor_tests/x_param.protocol-ctb.template
%_libexecdir/condor/test/condor_tests/x_param.protocol-fs.template
%_libexecdir/condor/test/condor_tests/x_param.protocol-gsi.template
%_libexecdir/condor/test/condor_tests/x_param.protocol-krb.template
%_libexecdir/condor/test/condor_tests/x_param.protocol-negot.template
%_libexecdir/condor/test/condor_tests/x_param.protocol-pw
%_libexecdir/condor/test/condor_tests/x_param.protocol-ssl.template
%_libexecdir/condor/test/condor_tests/x_param.replication
%_libexecdir/condor/test/condor_tests/x_param.scheddrestart
%_libexecdir/condor/test/condor_tests/x_param.startdmultimatch
%_libexecdir/condor/test/condor_tests/x_param.storksrvr
%_libexecdir/condor/test/condor_tests/x_perf_auto_paraam_template
%_libexecdir/condor/test/condor_tests/x_perf_auto_param.deb
%_libexecdir/condor/test/condor_tests/x_perf_auto_param.lynn
%_libexecdir/condor/test/condor_tests/x_perf_auto_param.sue
%_libexecdir/condor/test/condor_tests/x_perf_autoscale_cmd_template
%_libexecdir/condor/test/condor_tests/x_perf_autoscale.man
%_libexecdir/condor/test/condor_tests/x_perf_Busy.java
%_libexecdir/condor/test/condor_tests/x_perf_CopyFile.java
%_libexecdir/condor/test/condor_tests/x_perf_Sleep.java
%_libexecdir/condor/test/condor_tests/x_periodicremove_locconfigpostsrc
%_libexecdir/condor/test/condor_tests/x_read_joblog.readme
%_libexecdir/condor/test/condor_tests/x_sanitysubmit.cmd
%_libexecdir/condor/test/condor_tests/x_secctb_configpostsrc
%_libexecdir/condor/test/condor_tests/x_secfs_configpostsrc
%_libexecdir/condor/test/condor_tests/x_secgsi_configpostsrc.template
%_libexecdir/condor/test/condor_tests/x_seckrb_configpostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clN_dmnN_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clN_dmnO_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clN_dmnP_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clN_dmnR_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clO_dmnN_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clO_dmnO_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clO_dmnP_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clO_dmnR_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clP_dmnN_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clP_dmnO_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clP_dmnP_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clP_dmnR_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clR_dmnN_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clR_dmnO_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clR_dmnP_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_clR_dmnR_secprepostsrc
%_libexecdir/condor/test/condor_tests/x_secneg_configpostsrc
%_libexecdir/condor/test/condor_tests/x_secpw_configpostsrc.template
%_libexecdir/condor/test/condor_tests/x_secpw_mapfile.template
%_libexecdir/condor/test/condor_tests/x_secssl_configpostsrc.template
%_libexecdir/condor/test/condor_tests/x_soap_job_tests.tar.gz
%_libexecdir/condor/test/condor_tests/x_Test_CA.tar.gz
%_libexecdir/condor/test/testbin_dir/libcondorapi.so
%_libexecdir/condor/test/condor_tests/job_core_perrelease-false_local.template
%_libexecdir/condor/test/condor_tests/job_core_perrelease-true_local.template
%_libexecdir/condor/test/condor_tests/x_param.locperrelease
%_libexecdir/condor/test/condor_tests/x_param.vancrontab
%_libexecdir/condor/test/condor_tests/x_fetch_configpostsrc.template
%_libexecdir/condor/test/condor_tests/x_param.fetch-basic
%_libexecdir/condor/test/condor_tests/x_workfetch_classad.1.template
%_libexecdir/condor/test/condor_tests/x_fetchwork_scripts.tar.gz
# (below) new stuff from 7.1
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_core_chirp_par.exe
%_libexecdir/condor/test/condor_tests/job_core_chirp_par.pl
%_libexecdir/condor/test/condor_tests/job_core_chirp_par.run
%_libexecdir/condor/test/condor_tests/job_core_gcbbasic.pl
%_libexecdir/condor/test/condor_tests/job_core_gcbbasic.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-A.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-B.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-C.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-D.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-E.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-F.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-G.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-H.run
%_libexecdir/condor/test/condor_tests/lib_auth_allowdeny-ctb.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_core_chirp_par.template
%_libexecdir/condor/test/condor_tests/job_core_gcbbasic.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-A.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-A.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-B-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-B-splice2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-B-splice3.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-B.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-B.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-C-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-C.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-C.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-D-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-D.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-D.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-E-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-E.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-E.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-F-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-F.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-F.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-G-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-G.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-G.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-H-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-H-splice2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-H-splice3.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-H.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-H.dag
%_libexecdir/condor/test/condor_tests/lib_auth_allowdeny-ctb.cmd
%_libexecdir/condor/test/condor_tests/x_gcb_locconfigpostsrc
%_libexecdir/condor/test/condor_tests/x_param.chirpparallel
%_libexecdir/condor/test/condor_tests/x_param.gcbbasic.template
%_libexecdir/condor/test/condor_tests/x_param.protocol-allowdeny-ctb.template
%_libexecdir/condor/test/condor_tests/x_secctb_allowdeny_configpostsrc
%_libexecdir/condor/test/condor_tests/x_vancrontab_locconfigpostsrc
# below is new in 7.2.0-0.3
# the subdirs all need to be writable by condor
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_splice-I.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-J.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-K.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L.run
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-L-subdir1
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-L-subdir2
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_splice-I-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-I-splice2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-I-splice3.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-I.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-I.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-J-one.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-J-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-J-splice2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-J-zero.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-J.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-K-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-K-splice2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-K.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-K.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L-subdir1/job_dagman_splice-L-sd1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L-subdir1/job_dagman_splice-L-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L-subdir2/job_dagman_splice-L-sd2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L-subdir2/job_dagman_splice-L-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-L.dag
# below is new in 7.2.0-0.5
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N.run
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-M-subdir1/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-M-subdir2/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/a/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/b/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/a/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/b/
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M-subdir1/job_dagman_splice-M-sd1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M-subdir1/job_dagman_splice-M-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M-subdir2/job_dagman_splice-M-sd2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M-subdir2/job_dagman_splice-M-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-M.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/a/a_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/a/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/b/b_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/b/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/job_dagman_splice-N-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir1/job_dagman_splice-N-subdir1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/a/a_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/a/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/b/b_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/b/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/job_dagman_splice-N-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N-subdir2/job_dagman_splice-N-subdir2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-N.dag
# below is new in 7.2.0-0.6
%defattr(0755,condor,condor,-)
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/a/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/b/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/a/
%dir %_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/b/
%_libexecdir/condor/test/condor_tests/job_dagman_abort-A.run
%_libexecdir/condor/test/condor_tests/job_dagman_parallel-A.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O.run
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-defaults.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-no_rotations_1.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-no_rotations_2.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-no_rotations_3.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_20_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_2_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_5_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_old_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation.pl
%_libexecdir/condor/test/testbin_dir/test_log_reader
%_libexecdir/condor/test/testbin_dir/test_log_reader_state
%_libexecdir/condor/test/testbin_dir/test_log_writer
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_abort-A-node-fail.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_abort-A-node-succeed.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_abort-A.dag
%_libexecdir/condor/test/condor_tests/job_dagman_parallel-A-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_parallel-A.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/a/a_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/a/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/b/b_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/b/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/job_dagman_splice-O-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir1/job_dagman_splice-O-subdir1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/a/a_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/a/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/b/b_submit.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/b/splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/job_dagman_splice-O-splice.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O-subdir2/job_dagman_splice-O-subdir2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-O.dag
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A-lower1-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A-lower1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A-lower2-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A-lower2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A-upper-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_subdag-A-upper.dag
# below is new in 7.2.0-0.8
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_amazon_basic.pl
%_libexecdir/condor/test/condor_tests/job_amazon_basic.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-base.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_20_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_20_rotations_20_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_20_rotations_2_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_2_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_2_rotations_2_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_old_rotations.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_old_rotations_2_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_simple.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_20_rotations_20_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_20_rotations_2_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_2_rotations_2_loops.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-w_old_rotations_2_loops.run
%_libexecdir/condor/test/testbin_dir/ec2_sim
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_amazon_basic.cmd
%_libexecdir/condor/test/condor_tests/job_amazon_basic.priv
%_libexecdir/condor/test/condor_tests/job_amazon_basic.pub
%_libexecdir/condor/test/condor_tests/x_amazon_configpostsrc.template
%_libexecdir/condor/test/condor_tests/x_param.amazon
# new in 7.2.1-0.1
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_scripts/CondorPubLogdirs.pm
%_libexecdir/condor/test/condor_tests/job_ckpt_fn-areauc_std.run
%_libexecdir/condor/test/condor_tests/job_core_max-running_local.pl
%_libexecdir/condor/test/condor_tests/job_core_wantcores-kill.run
%_libexecdir/condor/test/condor_tests/job_core_wantcores-look.pl
%_libexecdir/condor/test/condor_tests/lib_eventlog_base.exe
%_libexecdir/condor/test/condor_tests/lib_eventlog_base.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_build.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation.runall
%_libexecdir/condor/test/condor_tests/lib_lease_manager-base.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager-get_rel_1.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager-get_rel_2.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager-get_rel_3.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager-get_rel_4.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager-get_rel_5.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager.pl
%_libexecdir/condor/test/condor_tests/x_advertise.pl
%_libexecdir/condor/test/condor_tests/x_changestartcondor.pl
%_libexecdir/condor/test/condor_tests/x_chngtestname.pl
%_libexecdir/condor/test/condor_tests/x_killppid.exe
%_libexecdir/condor/test/condor_tests/x_loadpublished.pl
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/ErrorExemptions
%_libexecdir/condor/test/condor_tests/badtests
%_libexecdir/condor/test/condor_tests/job_ckpt_fn-areauc_std.cmd
%_libexecdir/condor/test/condor_tests/job_ckpt_fn-areauc_std.f90
%_libexecdir/condor/test/condor_tests/x_param.maxrunninglocal
%_libexecdir/condor/test/condor_tests/x_param.timedeferloc
%_libexecdir/condor/test/condor_tests/x_param.wantcore
%_libexecdir/condor/test/condor_tests/x_wantcore_configpostsrc.template
# new in 7.2.1-0.2
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/wrapped_test.pl
%_libexecdir/condor/test/condor_tests/wrapped_test.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/wrapped_test.cmd
%_libexecdir/condor/test/condor_tests/x_param.wrapped_test
%_libexecdir/condor/test/condor_tests/x_wrapped_test_locconfigpostsrc
# new in 7.3.1-0.1
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_splice-cat.run
%_libexecdir/condor/test/condor_tests/job_rsc_atexit_std.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_missed_1.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-reader_missed_2.run
%_libexecdir/condor/test/condor_tests/lib_lease_manager-simple.run
%_libexecdir/condor/test/condor_tests/x_startcondor_to_startpersonal.pl
%_libexecdir/condor/test/condor_tests/x_testfilelock.pl
%_libexecdir/condor/test/condor_tests/x_timetests.pl
%_libexecdir/condor/test/testbin_dir/test_daemon_core
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_splice-cat-splice1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-cat-splice2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_splice-cat.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-cat.dag
%_libexecdir/condor/test/condor_tests/job_filexfer_input-onegone_van.template
%_libexecdir/condor/test/condor_tests/job_rsc_atexit_std.cmd
%_libexecdir/condor/test/condor_tests/x_param.vmware
%_libexecdir/condor/test/condor_tests/x_vm_utils.pm
%_libexecdir/condor/test/condor_tests/x_vmware_configpostsrc
%_libexecdir/condor/test/condor_tests/x_vmware_test_vm.cmd
# new in 7.3.1-0.4
%defattr(0755,condor,condor,-)
%_libexecdir/condor/condor_glexec_update_proxy
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first-nodeA.pl
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first-nodeB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first.run
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio-nodeA.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first-nodeB.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first-nodeC.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first.config
%_libexecdir/condor/test/condor_tests/job_dagman_depth_first.dag
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio.config
%_libexecdir/condor/test/condor_tests/job_dagman_node_prio.dag
# new in 7.3.2-0.1
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/CondorCmdStatusWorker.pm
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeA.pl
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeC.pl
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery.run
%_libexecdir/condor/test/condor_tests/win_core_macros-dollardollar_van.run
%_libexecdir/condor/test/condor_tests/x_echostring.pl
%_libexecdir/condor/test/condor_tests/x_editfiles.pl
%_libexecdir/condor/test/condor_tests/x_recurseglobaledit.pl
%_libexecdir/condor/test/condor_tests/x_simpletest.pl
%_libexecdir/condor/test/condor_tests/x_simpletest.run
%_libexecdir/condor/test/condor_tests/x_systemcall.pl
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/Windows_shortlist
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeB.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeC.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery.config
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery.dag
%_libexecdir/condor/test/condor_tests/list_java
%_libexecdir/condor/test/condor_tests/list_time
%_libexecdir/condor/test/condor_tests/win_core_macros-dollardollar_van.cmd
%_libexecdir/condor/test/condor_tests/x_simpletest.cmd
# new in 7.3.2-0.3
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/cmd_chirp_fetchput_van.pl
%_libexecdir/condor/test/condor_tests/cmd_chirp_fetchput_van.run
%_libexecdir/condor/test/condor_tests/cmd_chirp_get-setad_van.pl
%_libexecdir/condor/test/condor_tests/cmd_chirp_get-setad_van.run
%_libexecdir/condor/test/condor_tests/job_core_niceuser_van.pl
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeB2-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeB2-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeB2.pl
%_libexecdir/condor/test/condor_tests/job_dagman_submit_fails_post-nodeA-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_submit_fails_post.run
%_libexecdir/condor/test/condor_tests/x_do_niceuser.pl
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/cmd_chirp_fetchput_van.cmd
%_libexecdir/condor/test/condor_tests/cmd_chirp_get-setad_van.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_retry_recovery-nodeB2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_submit_fails_post-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_submit_fails_post.config
%_libexecdir/condor/test/condor_tests/job_dagman_submit_fails_post.dag
%_libexecdir/condor/test/condor_tests/x_param.niceuser
# new in 7.4.0-0.1
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_scripts/CondorUtils.pm
%_libexecdir/condor/test/condor_tests/CondorUtils.pm
%_libexecdir/condor/test/condor_tests/dummy_condor_submit.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeB-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeB-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeC.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-subdir/job_dagman_default_log-nodeA-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-subdir/job_dagman_default_log-nodeA-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-subdir/job_dagman_default_log-nodeA.pl
%_libexecdir/condor/test/condor_tests/job_dagman_default_log.run
%_libexecdir/condor/test/condor_tests/job_dagman_large_dag-node.pl
%_libexecdir/condor/test/condor_tests/job_dagman_large_dag.run
%_libexecdir/condor/test/condor_tests/job_dagman_log_path-node.pl
%_libexecdir/condor/test/condor_tests/job_dagman_log_path.run
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-node.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-subdir/job_dagman_node_dir-nodeB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-subdir/job_dagman_node_dir-postB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-subdir/job_dagman_node_dir-preB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir.run
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir-subdir/job_dagman_usedagdir-node.pl
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir-subdir/job_dagman_usedagdir-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir-subdir/job_dagman_usedagdir-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir.run
%_libexecdir/condor/test/condor_tests/lib_eventlog_rotation-close_log.run
%_libexecdir/condor/test/condor_tests/run_cmd.pl
%_libexecdir/condor/test/condor_tests/create_large_dag
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeB1.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeB2.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-nodeC.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_default_log-subdir/job_dagman_default_log-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_default_log.config
%_libexecdir/condor/test/condor_tests/job_dagman_default_log.dag
%_libexecdir/condor/test/condor_tests/job_dagman_log_path-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_log_path-nodeB.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_log_path-nodeC.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_log_path-nodeD.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_log_path.dag
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-subdir/job_dagman_node_dir-nodeB.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir-subdir/job_dagman_node_dir-nodeC.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_node_dir.dag
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir-subdir/job_dagman_usedagdir-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir-subdir/job_dagman_usedagdir-nodeD.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_usedagdir-subdir/job_dagman_usedagdir.dag
%_libexecdir/condor/test/condor_tests/x_cmdrunforever.template
%_libexecdir/condor/test/condor_tests/x_cmdstartonhold.template
%_libexecdir/condor/test/condor_tests/x_sanitysubmit.template
# new in 7.4.0-0.5
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_abnormal_term_recovery_retries-nodeA.pl
%_libexecdir/condor/test/condor_tests/job_dagman_abnormal_term_recovery_retries.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_abnormal_term_recovery_retries-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_abnormal_term_recovery_retries-nodeA.dummy_log
%_libexecdir/condor/test/condor_tests/job_dagman_abnormal_term_recovery_retries.dag
# new in 7.4.0-0.6
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeA.pl
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeB-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeB-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeB.pl
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeC.pl
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeA.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeB.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check-nodeC.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check.config
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check.dag
%_libexecdir/condor/test/condor_tests/job_dagman_recovery_event_check.log.dummy
%_libexecdir/condor/test/condor_tests/x_trapsig.cc
# new in 7.4.1-0.2
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag-node.pl
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag-post.pl
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag-pre.pl
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag.run
%_libexecdir/condor/test/condor_tests/job_dagman_splice-scaling.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag-dag1.dag
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag-dag2.dag
%_libexecdir/condor/test/condor_tests/job_dagman_multi_dag-node.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-scaling-splice.cmd
%_libexecdir/condor/test/condor_tests/job_dagman_splice-scaling-splice.dag
# new in 7.4.1-0.3
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_7_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_7_input
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_8_config
%_libexecdir/condor/test/condor_tests/lib_auth_config_tests/test_auth_8_input
# new in 7.4.2-0.6
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_core_shadow-lessthan-memlimit_van.run
%defattr(0644,condor,condor,-)
%_libexecdir/condor/test/condor_tests/job_core_shadow-lessthan-memlimit_van.cmd
# new in 7.4.5-0.1
%defattr(0755,condor,condor,-)
%_libexecdir/condor/test/testbin_dir/lib_eventlog_base.exe
%_libexecdir/condor/test/testbin_dir/x_read_joblog.exe
%_libexecdir/condor/test/testbin_dir/x_write_joblog.exe
%_libexecdir/condor/test/testbin_dir/x_write_joblog_events.exe


%post -n condor
/sbin/chkconfig --add condor
/sbin/ldconfig
if [ -e /var/lib/condor/condor_master.pid ]; then
   mv /var/lib/condor/condor_master.pid /var/run/condor/condor_master.pid
fi
%if 0%{?rhel} != 4
test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled
if [ $? = 0 ]; then
   semanage fcontext -a -t unconfined_execmem_exec_t %_sbindir/condor_startd
   restorecon  %_sbindir/condor_startd
fi
# condor_vm-gahp should be virtd_exec_t, condor_startd should be bin_t
%endif

%preun -n condor
if [ $1 = 0 ]; then
  /sbin/service condor stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del condor
fi


%postun -n condor
if [ "$1" -ge "1" ]; then
  /sbin/service condor condrestart >/dev/null 2>&1 || :
fi
/sbin/ldconfig

# Queue:
# o condor-vm_gahp config

%changelog
* Wed Feb 16 2011 <Matthias.Schroder@cern.ch> - 7.4.5-0.8.slc5
- Add CERN patches

* Fri Feb  4 2011 <matt@redhat> - 7.4.5-0.8
- Requiring specific qmf version: 0.7.946106-28 - .so bump

* Wed Jan 21 2011 <matt@redhat> - 7.4.5-0.7
- Requiring specific qmf version: 0.7.946106-27 - BZ658936
- Fixed crash when editing new job attributes with qedit (BZ668072)
- Fixed HFS group limit enforcement for multiple submitters in single group (BZ641418)
- Updated local lock file code to create files as 0666 for sharing
- Set HFS_MAX_ALLOCATION_ROUNDS default to 3
- Updated QMF package to f77bdd65:
-  Fixed submission job counts causing premature submission deletion in plugins (BZ595704)

* Tue Jan  4 2011 <matt@redhat> - 7.4.5-0.6
- Fixed Schedd crash during qedit of new attribute on job with UserLog (BZ667198)

* Mon Jan  3 2011 <matt@redhat> - 7.4.5-0.5
- Updated QMF package to d96a25fb:
-  Resolved SEGV on frequent JobServer resets (BZ634383)
- Schedd no longer accesses job spool files when file transfer is disabled (BZ546760)
- Fixed local lock file bug that deleted too much of path on release

* Thu Dec 23 2010 <matt@redhat> - 7.4.5-0.4
- Pre-release of 7.4.5, Thu Dec 23 14:10:14 2010 -0500 (f7ff6a59)
-  vm_gahp callouts now happen as executing user instead of root (GT1803)
-  condor_wait now opens log files as read-only (GT1745)
- condor_qedit and condor_prio changes now show up in the UserLog (BZ616470) (GT1791)
- Policy adjustment via qedit/chirp now possible for running jobs (BZ629832) (GT1790)
- File locking now always happens on a local file (BZ627015) (GT1310)

* Fri Dec 10 2010 <matt@redhat> - 7.4.5-0.3
- Update QMF package to 6f0856d4:
-  Resolved submission naming issue introduced in 7.4.5-0.1
-  Really resolved attribute and config name discrimination (BZ637914)
-  Submission objects now phase out when they are empty (BZ595704)
- Removed "already defined" filter on semanage during post-install (BZ660653)
- Improved handling of erroneous output from a prepare hook (BZ657358)

* Wed Dec  1 2010 <matt@redhat> - 7.4.5-0.2
- Refactored HFS (40c18307),
-  BZs - 619557, 606865, 630015, 630021, 636271, 636901, 637281,
-        639244, 640141, 640326, 641418, 641431, 644436, 644904

* Thu Nov 18 2010 <matt@redhat> - 7.4.5-0.1
- Updated source to build 279383, the upstream 7.4.4 release
- Pre-release of 7.4.5, Thu Nov 18 09:44:15 2010 -0500 (5a9dffac)
-  Fixed problem in condor_ssh_to_job when the user's shell is csh. (GT1565)
-  Fix vm_no_output_vm job attribute in vm gahp (GT1564)
-  Fixed handling of string literals in $$([])'s. (GT416)
-  Always have a deadline for asynchronous messages, CCB (GT1589)
-  Fixed collector crash in MERGE_STARTD_AD (GT1596)
-  Fixed core dump in condor_userlog reading unwritable user event log (BZ623684) (GT1597)
-  Submit no longer pads DiskUsage for expanding vm image (GT1624)
-  Improved error handling when file transfer fails (GT1587)
-  Parallel universe jobs now always get spool directories (BZ625205) (GT1532)
-  condor_ssh_to_job now works when security negotiation is turned off (GT1518)
-  Allow qedit of AccountingGroup to trigger a rebuild of PrioRec (BZ631926) (GT1648)
-  Resolved feof state issue in user log reader code, numerous anomalies (GT1679)
-  Restored handling of disconnect during file transfer from GT1587 (GT1750)
-  Fix for ssh_to_job during file transfer failure (GT1743)
-  Fix for condor_status output of KFlops later than 32-bit (GT1771)
-  Prevent condor_procd from running as child of init (GT1776)
-  Updated condor.init to return 1 when stop fails (BZ634144)
-  Misc. KBDD fixes for Windows
- Updated QMF package to 490ff70c:
-  Negotiator discriminates between valid attribute and config names (BZ637914)
-  Made Job identification more consistent (BZ630937)
-  Added default for JOB_SERVER_LOG to 60condor-qmf.conf (BZ624999)
- Introduced LOCAL_CONFIG_DIR_EXCLUDE_REGEXP (BZ581671) (GT1552)
- Allow condor_wait to open files for read authorized users (BZ647543) (GT1745)
- Allow NOT_RESPONDING_WANT_CORE=TRUE to escalate to SIGKILL (BZ596398) (GT1688)
- Introduced support for Parallel Universe and Partitionable Slots (580742) (GT986)
- Introduced expanded NegotiationCycle stats (BZ640141) (GT1705)
- Fixed condor_master crash when reconfiguring with non-existing daemons (BZ621137) (GT1749)

* Thu Nov  4 2010 <matt@redhat> - 7.4.4-0.17
- Requiring specific qmf version: 0.7.946106-22 - BZ649822
- Updated QMF package to d71c9760:
-  Reduced scope of QUEUE_ALL_USERS_TRUSTED requirement (BZ644041)

* Mon Sep 27 2010 <matt@redhat> - 7.4.4-0.16
- Requiring specific qmf version: 0.7.946106-17
- Updated QMF package to 2b8c8b0d:
-  Fixed bug where Negotiator would reject valid config updates, re Quota adjustment (BZ636959)

* Wed Sep 22 2010 <matt@redhat> - 7.4.4-0.15
- Requiring specific qmf version: 0.7.946106-16
- Added KVM language to condor_config.generic

* Wed Sep 15 2010 <matt@redhat> - 7.4.4-0.14
- Requiring specific qmf version: 0.7.946106-15 - BZ633861
- Updated QMF package to 9e720e47 -
-  Provided a stable agent id for Startd (BZ634234)
-  Garbage collect dynamic slot QMF objects (634605)

* Tue Sep 14 2010 <matt@redhat> - 7.4.4-0.13
- Requiring specific qmf version: 0.7.946106-14
- Updated QMF package to a81362f6 -
-  Added missing GlobalJobId to GetJobSummaries for historical jobs (BZ633508)
-  Avoided race in JobServer where historical submission objects were deleted (BZ633402)

* Fri Sep 10 2010 <matt@redhat> - 7.4.4-0.12
- Update QMF package to 96ee3b3d: BZs - 633114, 629736 (Owner = "Unknown"); GetJobSummaries -> list of maps
- qedit of AccountingGroup now causes PrioRec rebuild (BZ631926)
- Avoid HFS issues with unmatchable jobs (BZ629614)
- Allow space as separator for GROUP_NAMES in HFS (BZ632473)
- Allow AccountingGroup to be case insensitive in HFS (BZ632476)

* Thu Sep  9 2010 <matt@redhat> - 7.4.4-0.11
- Requiring specific qmf version: 0.7.946106-13 - BZ625450
- Updated QMF package to c1976b74: BZs - 568327, 627679, 612222; GetLimits map loading bug
- Introduced 60condor-qmf.config in condor-qmf package
- Further avoid shadow creating a spool directory per job (BZ625205)
- Fixed negotiator core when a dynamic group quota is zero (BZ628034)
- Enabled GROUP_DYNAMIC_MACH_CONSTRAINT when using HFS (BZ628086)
- Changed QMF_PUBLISH_SUBMISSIONS (a Schedd param) default to TRUE

* Mon Aug 23 2010 <matt@redhat> - 7.4.4-0.10
- Update QMF package to d70c4beb: BZs - 595714
- Requiring specific qmf version: 0.7.946106-12
- Included KBDD_ADDRESS_FILE in condor_config.generic (BZ621203)
- Fixed condor_userlog core when reading files without write perms (BZ623684)
- 00personal_condor.config should not be edited, no longer marked config (BZ625775)

* Mon Aug  9 2010 <matt@redhat> - 7.4.4-0.9
- Removed default LOCAL_CONFIG_FILE, use LOCAL_CONFIG_DIR (BZ622464)
- Fixed fairshare loop halting conditions and fractional slot reuse (BZ619552)
- Fixed parsing of group names in accountant (BZ617709)
- Included condor_power for condor_rooster

* Mon Aug  4 2010 <matt@redhat> - 7.4.4-0.8
- Pre-release of 7.4.4, Tue Aug 3 11:28:16 2010 -0400 (e8a01098)
- Update QMF package to 9db0f393: BZs - 621465
- Requiring specific qmf version: 0.7.946106-11
- Moved config customizations from condor_config.local to condor_config
- /etc/condor/condor_config is now replaced, edit ~condor/condor_config.local
- Removed backfill machine state, use job hooks instead (GT1085)
- NEGOTIATOR_USE_SLOT_WEIGHTS set to FALSE in condor_config (BZ615534)
- Added year to log format (GT1030)
- Enable -debug after calling config() for condor_config_val (GT1541)
- Address EOVERFLOW for 32 bit systems with large EXECUTE partitions (GT1543)
- Fixed STARTD_CRON's parsing of _PERIOD, default is seconds (GT961)
- Fixed check for bad Schedd cron job arguments (GT1485)
- Escalated internal state inconsistency for cron jobs to EXCEPT (GT689)
- NETWORK_INTERFACE now trumps IP rewriting (GT457)

* Mon Jul 26 2010 <matt@redhat> - 7.4.4-0.7
- Requiring specific qmf version: 0.7.946106-10
- Moved condor_ssh_to_job_sshd_config_template to ETC

* Fri Jul 23 2010 <matt@redhat> - 7.4.4-0.6
- Pre-release of 7.4.4, Fri Jul 23 09:21:31 2010 -0400 (a92261e6)
- Requiring specific qmf version: 0.7.946106-9
- Update QMF package to 9d41995d: BZs - 614987
- Avoid performing multiple input file transfers (GT1519)
- In submit, only check CREDD_HOST when run_as_owner = TRUE (GT1525)
- Allow setting load_profile from any platform at submit (GT1528)

* Tue Jul 20 2010 <matt@redhat> - 7.4.4-0.5
- Pre-release of 7.4.4, Mon Jul 19 16:47:43 2010 -0400 (0457e3bf)
- Updated QMF package to 25d3bef8: BZs - 612640, 606973, 613815, 612623, 612636
- Changed default for MAX_ACCEPTS_PER_CYCLE from 1 to 4
- Updated shadow recycling to conflict with SEC_ENABLE_MATCH_PASSWORD_AUTHENTICATION (GT1481)
- condor_chirp get_job_attr no longer prints uninit memory (BZ615633)
- condor_chirp get_job_attr returns UNDEFINED instead of abort() (BZ615313)
- condor_chirp no longer requires getenv("_CONDOR_SCRATCH_DIR") (BZ615504)
- UPDATE_JOB_INFO and JOB_EXIT hooks now run as job owner (BZ615492)
- Job hooks environment now includes envs for SCRATCH_DIR, JOB_PIDS, etc (BZ615510)
- condor_submit properly adds default requirements for Memory and RequestMemory (BZ614993)
- Removed Env="" from default job ad from CreateJobTemplate (BZ610010)
- PREPARE hook invocation failure now properly reported (GT1398)
- Fixed permissions on SSH private key file from EC2 (GT1508)

* Wed Jun 30 2010 <matt@redhat> - 7.4.4-0.4
- Pre-release of 7.4.4, Mon Jun 28 20:33:46 2010 -0500 (5ecc2976)
- Requiring specific qmf version: 0.7.946106-6
- Updated QMF package to 1c1af7e9: triggerd uses SASL ANONYMOUS mechanism

* Mon Jun 28 2010 <matt@redhat> - 7.4.4-0.3
- Included mpp.X.Y files patch (BZ546736)
- Included rest of max cluster id patch (BZ575150)

* Fri Jun 25 2010 <matt@redhat> - 7.4.4-0.2
- Fixed python-qmf dep (was qmf-python)

* Thu Jun 24 2010 <matt@redhat> - 7.4.4-0.1
- Pre-release of 7.4.4, Thu Jun 24 11:49:30 2010 -0500 (e8e32edd)
- Updated QMF package to 12e3db44: BZs - 596210; schema package update
- Added python-qmf dep on condor-qmf for new condor_trigger_config (BZ606356)
- Fixed schedd SEGV on dynamic slot invalidation (BZ607596)

* Fri Jun 18 2010 <matt@redhat> - 7.4.3-0.21
- Pre-release of 7.4.3, Fri Jun 18 11:24:04 2010 -0400 (f4356159)
- Updated QMF package to 29c3f20c: BZs - 589660
- Requiring specific qmf version: >= 0.7.946106-4
- Allow condor tools to act on condor_kbdd (BZ604812)
- Removed SOAP transaction timeout crash from condor_schedd (BZ605311)
- Removed use of getc for fgets in condor_dagman (GT1460)
- Fixed condor_shadow crash when recycling through >239 jobs (BZ604986)
- Provide Parallel Universe jobs with a spool dir (BZ549432)
- Included fix for SOAP_SSL_DA_DIR/FILE in the amazon_gahp (GT1465)
- Included negotiation cycle stats (GT1458)

* Wed Jun 16 2010  <matt@redhat> - 7.4.3-0.20
- Pre-relesae of 7.4.3, Tue Jun 8 13:20:19 2010 -0500 (acf99cca)
- Updated QMF package to 14ff6c71: BZs - 604179
- Requiring specific qmf version: > 0.7.946106-3

* Fri Jun 11 2010  <matt@redhat> - 7.4.3-0.19
- Pre-release of 7.4.3, Fri Jun 11 17:36:22 2010 -0400 (97e52a14)
- Updated QMF package to 91b107bd: BZs - 603033, 602637, 563818
- Fixed bug preventing job hooks from executing during a job (BZ602605)
- Fixed Startd crash due to signal escalation race with kill_sig (BZ572271)
- Collector now advertise itself (BZ568502)
- Introduction of 2+ level fair-share accounting groups (BZ528800)
- Prepare hook exec failure now prevents job exec (BZ561958)
- condrestart added to init script (BZ603201)
- Set default CONDOR_ADMIN to root@$(FULL_HOSTNAME) in condor_config.local
- Resolved issues of concurrency limits in parallel universe (BZ505923)

* Thu Jun  3 2010 <matt@redhat> - 7.4.3-0.18
- Pre-release of 7.4.3, Thu Jun 3 13:51:04 2010 -0500 (4e122f4c)
- Updated QMF package to ab73a71d: BZs - 561110, 561112, 578137, 595698

* Tue Jun  1 2010 <matt@redhat> - 7.4.3-0.17
- Requiring specific qmf version: > 0.7.946106-2 (BZ596210)

* Thu May 27 2010 <matt@redhat> - 7.4.3-0.16
- Updated QMF package to 22c641b4: BZs - 596210

* Tue May 25 2010 <matt@redhat> - 7.4.3-0.15
- Pre-release of 7.4.3, Mon May 24 16:40:26 2010 -0500 (0cd14df5)
- Introduced hard dependency on classads package, currently 1.0.6 (BZ571804)
- Update QMF package to 1b2a81bc: BZs - 595010, 595447
- Removed linking against libcrypt (improves shadow memory usage) (BZ595033)

* Wed May 19 2010 <matt@redhat> - 7.4.3-0.14
- Pre-release of 7.4.3, Wed May 19 13:53:09 2010 -0500 (5dd95bcc)
- Requiring specific qmf version: 0.7.946106
- Updated QMF package: BZs - 568327, 568857, 578143, 584402, 589650, 589675
- Bridge networking fix for VM Universe (BZ583101)
- Set one hour default for SHADOW_WORKLIFE

* Wed May  5 2010 <matt@redhat> - 7.4.3-0.13
- Rebuild of 7.4.3-0.12 with fix for SHADOW_WORKLIFE (schedd segv on sched uni)

* Tue May  4 2010 <matt@redhat> - 7.4.3-0.12
- Pre-release of 7.4.3, Wed Apr 28 10:48:23 2010 -0500 (d73d744a)
- Requiring specific qmf version: 0.7.939184
- Introduced logging for HA lock failure (BZ580270)
- Introduced SHADOW_WORKLIFE (GT1375)
- Updated QMF package to 8943128b

* Wed Apr 21 2010  <matt@redhat> - 7.4.3-0.11
- Updated source to build 227044, the upstream 7.4.2 release
- Pre-release of 7.4.3, Fri Apr 16 15:16:38 2010 -0500 (6d962ce6)
- Requiring specific qmf version: 0.7.935473
- Fixed PREPARE hook uid (BZ561955)
- Fixed memory leak in O(1) removal on INVALIDATE_STARTD (GT1316)
- Added MAX_ACCEPTS_PER_CYCLE (GT1348)
- Removed unused quill binaries
- Re-added qmf package

* Wed Apr  7 2010  <matt@redhat> - 7.4.3-0.10
- Pre-release of 7.4.3, Tue Apr 6 13:38:38 2010 -0500 (6b163279)
- Grid tag 7.4.3-0.10 (63a437d7)
- Updated Collector invalidate patch to address StartdIpAddr issue
- Fixed no-phone-home code to avoid segfault (BZ578837)
- Started publishing RSS in job ads (BZ575653)
- Removed qmf package until it is updated for 0.7.929717

* Tue Mar 30 2010  <matt@redhat> - 7.4.3-0.9
- Pre-release of 7.4.3, Wed Mar 31 14:04:28 2010 -0400 (44088c77)
- Grid tag 7.4.3-0.9 (8d4461ba)
- Resolved inappropriate dynamic slot claim reuse (BZ578216)
- Resolved dyanamic Slot INVALIDATE_STARTD_ADS causes collector pegging (BZ578600)

* Sun Mar 28 2010  <matt@redhat> - 7.4.3-0.8
- Pre-release of 7.4.3, Fri Mar 26 17:52:27 2010 -0500 (4a5bce55)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, GT1287-GT1288-schedd-perf, BZ544313-vanilla-universe-killsig, no-phone-home, QMF, housekeeping-on-invalidate, BZ575150-need-max-cluster-id, BZ572574-misleading-create-process-iwd-err-msg, BZ575147-change-daemons-without-restart, ignore-invalidate
- Added SCHEDD_CLUSTER_MAXIMUM_VALUE, default 0 (no max) (BZ575150)
- Fixed misleading error on execution with cwd failure (BZ572574)
- Allow reconfig of DAEMON_LIST (BZ575147)
- Added IGNORE_INVALIDATE, default to false

* Tue Mar 23 2010  <matt@redhat> - 7.4.3-0.7
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, GT1287-GT1288-schedd-perf, BZ544313-vanilla-universe-killsig, no-phone-home, QMF, housekeeping-on-invalidate
- Added HOUSEKEEPING_ON_INVALIDATE, defaults to true

* Mon Mar 22 2010  <matt@redhat> - 7.4.3-0.6
- Pre-release of 7.4.3, Mon Mar 22 09:54:26 2010 -0400 (c7687ad1)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, GT1287-GT1288-schedd-perf, BZ544313-vanilla-universe-killsig, no-phone-home, QMF
- Avoid StartJobs call multiple times in single event loop (GT1288)
- Control StartJobs with a timeslice (GT1288)
- Optimized handling of shadow failures (reduce fsyncs) (GT1287)
- Retry execution with .exe extension on initial failure (GT1278)
- "net stop condor" now performs fast (was graceful) shutdown (GT1264)
- Schedd no longer starts Schedule Universe jobs during shutdown (BZ575777)
- Fixed default for kill_sig_timeout (was 0, now KILLING_TIMEOUT)
- Removed CONDOR_DEVELOPERS phone home code (V7_4-no-phone-home-branch)
- Fixed improper RELEASE_CLAIM after REQUEST_CLAIM rejection (BZ575784)
- condor_status -direct no longer produces misleading message on stale ads (BZ570650)

* Mon Mar 15 2010  <matt@redhat> - 7.4.3-0.5
- Pre-release of 7.4.3, Mon Mar 15 13:09:34 2010 -0500 (3a10d78e)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, BZ544313-vanilla-universe-killsig, QMF
- QMF branch: decrement status on destroy and set owner on submission
- Fixed crash in remove_kill_sig for Vanilla Universe (BZ572271)
- Properly close UDP messages in DaemonCore::HandleReq (GT1270) (BZ572668)

* Wed Mar  3 2010  <matt@redhat> - 7.4.3-0.4
- Pre-release of 7.4.3, Wed Mar 3 17:19:16 2010 -0600 (b1482a2e)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, BZ544313-vanilla-universe-killsig, QMF
- Requiring specific qmf version: 0.7.916826
- fsync-perf branch updated fixing EventLog bug from GT1231
- QMF branch updated fixing Submission presence and job count bugs
- QMF branch updated to include live and historical jobs in Submissions
- GetJobs moved to Submission (BZ561106)
- QMF management methods work on Windows (BZ467890)
- KBDD was ignored when CONSOLE_DEVICES contained a real device (GT1251)
- Allow for kill_sig in Vanilla Universe (BZ544313)
- Include OpenMPI example wrapper script (BZ537232)

* Fri Feb 19 2010  <matt@redhat> - 7.4.3-0.3
- Pre-release of 7.4.3, Thu Feb 18 15:20:09 2010 -0600 (caf83e4d)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, QMF
- Merged BZ565618-submit-fsync-userlog into BZ565618-BZ546770-GT1231-fsync-perf
- condor_schedd no longer fsync()s for each removed job (BZ546770)
- condor_schedd no longer fsync()s for each job update (GT1231)

* Mon Feb 15 2010  <matt@redhat> - 7.4.3-0.2
- Pre-release of 7.4.3, Fri Feb 12 13:53:39 2010 -0600 (fd245485)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-submit-fsync-userlog, QMF
- Requiring specific qmf version: 0.7.909548
- condor_submit no longer fsync()s the UserLog for each job (BZ565618)

* Wed Feb 10 2010  <matt@redhat> - 7.4.3-0.1
- Pre-release of 7.4.3, Wed Feb 10 08:32:41 2010 -0600 (8d7371aa)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, QMF
- Requiring specific qmf version: 0.7.908272
- LOCAL_CONFIG_DIR is now traversed when in LOCAL_CONFIG_FILE (BZ563341)

* Mon Feb  8 2010  <matt@redhat> - 7.4.2-0.8
- Pre-release of 7.4.2, Sat Feb 6 10:35:19 2010 -0600 (7e706835)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, QMF
- QMF_DELETE_ON_SHUTDOWN defaults to true in triggerd
- Included backport of GT1169, security session leases

* Thu Feb  4 2010  <matt@redhat> - 7.4.2-0.7
- Pre-release of 7.4.2, Thu Feb 4 09:36:47 2010 -0800 (a5a23a3b)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, QMF
- Requiring specific qmf version: 0.7.904602
- param-table-heap change now upstream
- condor_job_server now includes historical jobs

* Thu Jan 28 2010  <matt@redhat> - 7.4.2-0.6
- Pre-release of 7.4.2, Tue Jan 26 23:02:55 2010 -0500 (58ec66ab)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, param-table-heap, no-open-poison, O2, QMF
- Fixed VMGahp hang when restarting libvirtd (BZ530594)
- Fixed inconsistent handling of VM_MEMORY between Startd and VMGahp (BZ559071)
- Added LOCAL_CONFIG_DIR to the LOCAL_CONFIG_FILE for configuration tools (BZ557732)
- Removed explicit dependency on qpidc, only depending on QMF

* Thu Jan 21 2010  <matt@redhat> - 7.4.2-0.5
- Requiring specific qpidc version: 0.7.900940
- Removed patch for old qmfagent library
- Replaced some BuildRequires packages with files

* Mon Jan 18 2010  <matt@redhat> - 7.4.2-0.4
- Pre-release of 7.4.2, Thu Jan 14 18:16:52 2010 -0500 (9b03e064)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, param-table-heap, no-open-poison, O2, QMF
- Reintroduced triggerd (trigger-service), part of QMF branch
- Introduced condor-qmf package, obsoletes qmf-plugins, hold all QMF deps
- Removed sesame dependence, should just be part of groupinstall
- Resolved cron-like jobs not re-executing with dynamic provisioning (BZ505119)
- Actually compiling with -O2, previously just didn't filter it (O2) (BZ547397)

* Thu Jan 14 2010  <matt@redhat> - 7.4.2-0.3
- Pre-release of 7.4.2, Thu Jan 14 10:48:28 2010 -0500 (af1a68a)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, QMF, weak-gsoap, param-table-heap, no-open-poison
- Updated BZ519183-HFS fix to support VS9 compiler
- Updated QMF model to make Slot::State a property
- Changed Name of Dynamic Slots from slotX.Y to slotX_Y (BZ483666)

* Thu Jan  7 2010  <matt@redhat> - 7.4.2-0.2
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, QMF, weak-gsoap, param-table-heap, no-open-poison
- Reduced linking of gSOAP and ClassAds (weak-gsoap) (BZ471054)
- Updated a number of statistics to properties in QMF model (BZ493084)
- Addressing shadow bloat from param table (param-table-heap) (BZ527233)

* Mon Jan  4 2010  <matt@redhat> - 7.4.2-0.1
- Pre-release of 7.4.2, Wed Jan 6 14:19:47 2010 -0500 (c35f51e5)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, QMF, QMF-job_server
- RESERVED_SWAP default was not 0 (BZ548090)
- Compiling with -O2 again (BZ547397)
- Schedd unnecessary file operations: mpp.X.Y files (BZ546736)
- TIMEOUT_MULTIPLIER only available in <SUBSYS>_ form (BZ548137)
- WANT_SUSPEND evaluating to UNDEFINED -> Startd EXCEPT (BZ540545)
- QMF_DELETE_ON_SHUTDOWN=TRUE is default again (BZ534073)
- condor_master wrote to pidfile before checking InstanceLock (BZ549389)
- condor_restart -collector failed for remote Collector (BZ543021)
- VM Universe libvirt config script updates (BZ543560)
- ClassAd debug() didn't work with ifThenElse (BZ552407)
- configure.ac now checks for flex and X11/Xlib.h (BZ527617)
- Added only_dynamic_unstripped patch to reduce RPM build time

* Fri Dec 11 2009  <matt@redhat> - 7.4.1-0.7.1
- Fixed queue super user cannot drop privs (BZ544371)

* Thu Nov 20 2009  <matt@redhat> - 7.4.1-0.7
- Pre-release of 7.4.1, Thu Nov 19 16:00:09 2009 -0500
- Fixed crash in schedd when spooling files (BZ538462)
- Removed NOTICE.txt, upstream carries it now
- Set exec bit on create_large_dag for condor-test

* Mon Nov  9 2009  <matt@redhat> - 7.4.1-0.5
- Pre-release of 7.4.1, Mon Nov 9 14:30:10 2009 -0500
- Fixed startd VM cleanup functionality (BZ498497 reopened)
- Removed root file ownership check on VM_SCRIPT
- Defaulted JOB_ROUTER_NAME to "jobrouter", was ""

* Thu Nov  5 2009  <matt@redhat> - 7.4.1-0.4
- Pre-release of 7.4.1, Thu Nov 5 06:01:57 2009 -0800
- Included full patch for VirtualMemory calculation bug

* Tue Nov  3 2009  <matt@redhat> - 7.4.1-0.3
- Pre-release of 7.4.1, Wed Nov 4 10:30:26 2009 -0800
- Updated source to build 193173, the upstream 7.4.0 release
- Fixed ALLOW_CONFIG = * (BZ532829)
- Fixed segfault in startd on shutdown with dynamic slots (BZ531841)
- Adjusted VirtualMemory calculation on dynamic slots (BZ532832)
- Resource limiting script no longer uses ulimit -v with VirtualMemory (BZ533023)
- QMF_DELETE_ON_SHUTDOWN defaulted to FALSE

* Sun Oct 25 2009  <matt@redhat> - 7.4.1-0.2
- Pre-release of 7.4.1, Fri Oct 23 17:30:08 2009 -0400
- Fixed condor_status -java/-vm information (BZ528652)
- Fixed condor_vm-gahp crash running Xen jobs (BZ529848)
- Fixed KVM job submissions failing to run (BZ529849)
- Picked up Windows file locking bug fix
- Fixed version string formatting issue

* Sun Oct 18 2009  <matt@redhat> - 7.4.1-0.1
- Pre-release of 7.4.1, Sat Oct 17 13:00:13 2009 -0400
- 7.4.0-0.7 condor_shadow was DOA
- Picked up kbdd support on Windows Vista
- Fixed fetch hook blocking Windows Startd (BZ497895)

* Thu Oct 15 2009  <matt@redhat> - 7.4.0-0.7
- Pre-release of 7.4.0, Wed Oct 14 22:30:09 2009 -0400
- starter not honoring lease duration during shutdown (BZ528067)

* Thu Oct 8 2009  <matt@redhat> - 7.4.0-0.6
- Pre-release of 7.4.0, Thu Oct 8 19:30:12 2009 -0400
- Upgraded to classads-1.0.4 to get bug fixes and eval() for -better-analyze
- Introduced vm-gahp package to enable VM Universe and hold virt dependencies
- LIBVIRT_XML_SCRIPT now has a default in condor_config
- Shadow bloat addressed (BZ527233)
- Startd SEGV when deleting dynamic slots (BZ526847)
- VM config status change not immediately published (BZ525470)
- Starter complains of deprecated config: EXECUTE_LOGIN_IS_DEDICATED (BZ523245)
- Missing newline at end of condor_status -negotiator (BZ523242)
- DAGMan/DAG submission version compatibility improvements (BZ522292)
- condor_q -better-analyze core dump (BZ522153)
- SEGV: Race condition when forking worker in Collector or Schedd (BZ519437)
- condor_submit -dump SEGV with multiple jobs in cluster (BZ457495)
- 2GB filesize limit for log files (BZ527801)
- Added configuration parameters for proxy_userid and proxy_passwd (BZ478475)
- Shadow no longer creates spool for jobs with no file transfer (BZ528050)

* Wed Sep 16 2009  <matt@redhat> - 7.4.0-0.5
- Pre-release of 7.4.0, Fri Sep 18 13:30:18 2009 -0400
- Introduced direct libvirt usage, requires libvirt-devel (sans virsh)
- Schedd now attempts to release all claims it has requested (BZ523482)
- Schedd no longer creates spool for jobs with no file transfer (BZ523806)
- Implemented scaling dynamic group quotas for HFS (BZ519183)

* Thu Sep 10 2009  <matt@redhat> - 7.4.0-0.4
- Pre-release of 7.4.0, Fri Sep 11 10:00:13 2009 -0400
- Removed Windows QMF plugin-in support
- Reverted QMF model (Submissions, Jobs, etc) back to 7.3.1-0.4
- Removed condor_job_server
- Removed QMF based trigger event service (was BZ499864)

* Mon Aug 31 2009  <matt@redhat> - 7.4.0-0.3
- Pre-release of 7.4.0, Fri Aug 28 09:46:03 2009 -0700
- Fix for condor_config issue in 7.4.0-0.1 (BZ520447)
- Fix for collector self advertise in HA setup

* Thu Aug 27 2009  <matt@redhat> - 7.4.0-0.1
- Pre-release of 7.4.0, Thu Aug 27 16:01:13 2009 -0700
- Race condition causing collector or schedd crash (BZ519437)
- Collector must advertise itself (BZ518301)
- condor_restart should handle collector subsystem (BZ518292)
- Generic subsystem handling for restart/reconfig (BZ506544)
- Job Router hook keyword apply to ATTRS_TO_COPY (BZ502880)
- cron_day_of_week ignored (BZ514730)
- Introduction of generic libvirt XML config generator (BZ511130)
- Recheck for VM universe after startup (BZ505074)
- QMF based trigger event service (BZ499864)

* Thu Jul 16 2009  <matt@redhat> - 7.3.2-0.4
- Pre-release of 7.3.2, Thu Jul 16 16:04:05 2009 -0500
- Proper msconfig merge (7.3.2-0.3 was broken)
- Fixed plugin load bug in 7.3.2-0.3
- Introduced VM cleanup code on Startd restart (BZ498497)
- Moved condor service to S98 from S90 (BZ497881)

* Mon Jul  13 2009  <matt@redhat> - 7.3.2-0.3
- Pre-release of 7.3.2, Sun Jul 12 16:45:22 2009 -0500
- Introduced ScheddPlugin::archive to receive Job ads on queue exit
- Introduced condor_job_server, mirroring the queue into QMF
- Introduced resource restriction via user job wrapper (BZ511120)
- Plugin code modified to operate on Windows

* Mon Jun  8 2009  <matt@redhat> - 7.3.2-0.2
- Pre-release of 7.3.2, Thu Jun 4 10:15:25 2009 -0500
- Moved Job methods to Scheduler in QMF model
- Added reasonable defaults to configure.ac

* Wed Jun  3 2009  <matt@redhat> - 7.3.2-0.1
- Rebased on build 154007, the upstream 7.3.1 release
- Pre-release of 7.3.2, Tue Jun 2 17:15:18 2009 -0500
- Replaced Jobs with Submissions in QMF model
- Fixed shutdown race in master with HA daemons (BZ499826)
- Introduced trigger-service
- Introduced resource-restriction
- Removed no_rpmdb_query.patch, upstream

* Fri May  1 2009  <matt@redhat> - 7.3.1-0.4
- Pre-release of 7.3.1, Fri May 1 11:15:22 2009 -0500
- Fixed partitionable slot and fetch work SEGV (BZ498516)
- Fixed VM_MEMORY unit mismatch (was KiB is MiB) (BZ495588)
- Addressed stale .schedd_address/classad issue (BZ486487) 
- Fixed EventLog.lock FD leak on NFS (BZ496432)
- Fixed JobUniverse publishing via QMF (it wasn't now is)
- Introduced Submit method on the Scheduler (QMF)
- Introduced Negotiator methods (QMF):
-  GetStats: query user/group stats
-  SetUsage/PriorityFactor/Priority: manage user/group stats
-  Get/SetRawConfig: manage configuration, e.g. QUOTAs

* Wed Apr 15 2009  <matt@redhat> - 7.3.1-0.3
- Pre-release of 7.3.1, Thu Apr 9 12:15:12 2009 -0500
- Merged Grid objects from QMF-Plugins
- Addresses multiple hook keywords for Job Router (BZ463430)

* Thu Apr  9 2009  <matt@redhat> - 7.3.1-0.2
- Rebased on build 132922, the upstream 7.3.0 release
- Pre-release of 7.3.1, Thu Apr 9 12:15:12 2009 -0500
- Removed patches present in 7.3 series:
-  classad_debug.patch
-  java_maxheap_argument.patch
-  starter_uid_fix.patch
-  vm_macaddr.patch

* Wed Mar 25 2009  <matt@redhat> - 7.2.2-0.9
- Fixed vm_macaddr bug, vm_macaddr.patch (BZ464647)

* Wed Mar 11 2009  <matt@redhat> - 7.2.2-0.8
- Requiring specific qpidc version: 0.5.752581

* Wed Mar  4 2009  <matt@redhat> - 7.2.2-0.7
- Requiring specific qpidc version: 0.4.750054

* Fri Feb 27 2009  <matt@redhat> - 7.2.2-0.6
- Require classads 1.0.2 to get ifThenElse for expresions
- Fixed JAVA_MAXHEAP_ARGUMENT misconfiguration (BZ487684)
- Fixed hook execution priv when run as root (BZ487519)

* Mon Feb 23 2009  <matt@redhat> - 7.2.2-0.5
- Updated to build 133382, the upstream 7.2.1 release
- Removed Requires in favor of automatic dependencies on SONAMEs
- Added classad_debug.patch, which provides classads debug()

* Mon Feb 16 2009  <matt@redhat> - 7.2.2-0.4
- Requiring specific qpidc version: 0.4.744917

* Sat Feb 14 2009  <matt@redhat> - 7.2.2-0.3
- Updated install script to properly place old pid files (BZ485008)
- Masked duplicate context message from semanage (BZ484449)

* Fri Feb 13 2009  <matt@redhat> - 7.2.2-0.2
- Requiring specific qpidc version: 0.4.743861

* Thu Feb  5 2009  <matt@redhat> - 7.2.2-0.1
- Requiring specific qpidc version: 0.4.741135
- Pre-release of 7.2.2: Thu Feb 5 11:32:15 2009 -0600
- Policy expressions now evaluated by Job Router (BZ480841)
- Slot type configuration now allows lowercase (BZ472607)

* Wed Jan 28 2009  <matt@redhat> - 7.2.1-0.3
- Pre-release of 7.2.1, Thu Jan 29 11:00:22 2009 -0600
- Fixed packaging of /var/{lock,log}/condor
- Fixed memory leak in soap connection code (BZ482954)
- JobRouter status hook updates now make it to the Schedd (BZ476996)
- JobRouter finalize/exit hook updates now make it to the Schedd (BZ476984)
- Addressed Periodic expression race in JobRouter (BZ475865)

* Wed Jan 28 2009  <matt@redhat> - 7.2.1-0.1
- Requiring specific qpidc version: 0.4.738274
- Pre-release of 7.2.1, Wed Jan 28 09:30:27 2009 -0600
- Upgraded gsoap to 2.7.12
- Init script no longer sleeps for 5 seconds (BZ480990)
- Init script writes pidfile to /var/run/condor (BZ471906)
- Moved LOG, LOCK, and PROCD_ADDRESS to standard locations (BZ476892)
- Fixed missing SLOT_TYPE_N crash (BZ472599)

* Wed Jan  7 2009  <matt@redhat> - 7.2.0-3
- Requiring specific qpidc version: 0.4.732838
- (Re)added CONDOR_DEVELOPERS=NONE to the default condor_config.local

* Tue Jan  6 2009  <matt@redhat> - 7.2.0-2
-  Fixed RequestMemory = ImageSize unit error (BZ477204)

* Fri Dec 19 2008  <matt@redhat> - 7.2.0-1
- Updated to build 121001, the upstream 7.2.0 release
- Requiring specific qpidc version: 0.4.728142
- Fixed dprintf + D_ALL + reconfig -full bug
- Fixed JobRouter status hook concurrency bug
- Added Schedd protection against invalid attribute values
- Added sanitizing of HoldReason values from Gridmanager
- Removed TP notice from condor and condor-qmf-plugins packages

* Tue Dec 16 2008  <matt@redhat> - 7.2.0-0.13
- Updated source to build 120173, new base for 7.2.0 release
- HoldReason loss on Periodic* bug fixed (BZ476087)
- Number of resource leaks fixed
- JobRouter hook update and fixes

* Thu Dec 11 2008  <matt@redhat> - 7.2.0-0.12
- Started requiring specific qpidc version (ABI): 0.4.725652-5
- Pre-release of 7.2.0, Thu Dec 11 17:45:39 2008 -0600
- Amazon and VM Universe test fixes
- User log reader/writer bug fixes, and largefile support
- Starter gLExec double free fixed

* Wed Dec 10 2008  <matt@redhat> - 7.2.0-0.11
- Included missing patch for MAIL configuration

* Tue Dec  9 2008  <matt@redhat> - 7.2.0-0.10
- Pre-release of 7.2.0, Tue Dec 9 17:45:07 2008 -0600
- Fixed src/condor_example/customize to not undo MAIL change
- Fixed security session cache and account priv-switching (BZ474725)
- Fixed amazon_gahp fails when user data file is empty (BZ475586)

* Sat Dec  6 2008  <matt@redhat> - 7.2.0-0.9
- Updated source to build 118312, base for 7.2.0 release candidate
- Fixed condor_transferer crash and accounting loss on failover (BZ475020)
- Default MAIL config fixed to /bin/mail (BZ474749)
- Added QMF_STOREFILE for resolving HA Schedd failover issue (BZ475235)
- Added editing notice to /etc/condor/condor_config (BZ474931)

* Wed Dec  3 2008  <matt@redhat> - 7.2.0-0.8
- Pre-release of 7.2.0, Fri Dec 5 12:01:24 2008 -0600
- Addressed init script restart issue (BZ474446)
- More condor-test subdirs permission fixes (splice-L-subdir2)
- Dynamic Provisioning with KeyboardIdle policy bug fixed (BZ474583)
- amazon-gahp was renamed to amazon_gahp
- Changed root owned to condor owned files in condor-test owned (BZ474862)

* Mon Dec  1 2008  <matt@redhat> - 7.2.0-0.7
- Pre-release of 7.2.0, Mon Dec 1 15:45:35 2008 -0600
- Fixed dependency on qpidc >= 720973

* Wed Nov 26 2008  <matt@redhat> - 7.2.0-0.6
- Pre-release of 7.2.0, Mon Dec 1 13:15:41 2008 -0600
- Fixed permissions on test subdirs in condor-test (thanks Rob Rati)
- Implemented QMF Plugin tuning parameter for updates (QMF_UPDATE_INTERVAL)
- Require qpidc & qmf >= 720973, resolves RHEL4 publish bug (BZ470320)
- Added sesame dependency to -qmf-plugins, provides system agent

* Sun Nov 23 2008  <matt@redhat> - 7.2.0-0.5
- Pre-release of 7.2.0, Mon Nov 24 19:15:42 2008 -0600
- Implemented shutdown hang workaround for qmf-plugins (QMF_DELETE_ON_SHUTDOWN)
- Applied Rob Rati's patch to condor-test to fix permissions
- Updated QMF Plugins so they are stripped for -debuginfo (thanks Mike Bonnet)
- Fixed disk calculation for Dynamic Provisioning (BZ472837)

* Fri Nov 21 2008  <matt@redhat> - 7.2.0-0.4
- Pre-release of 7.2.0, Fri Nov 21 17:15:33 2008 -0600
- Fixed memory bug in 7.2.0-0.3 qmf-plugins
- Fixed logging in qmf-plugins
- Moved x11_lib.patch upstream
- Updated default EC2 config (limit to 20 jobs)

* Wed Nov 19 2008  <matt@redhat> - 7.2.0-0.3
- Pre-release of 7.2.0, Fri Nov 21 07:45:41 2008 -0600
- Fixed two significant memory leaks in qmf-plugins
- Updated qpidc dependency for ABI issue and proper cleanup on agent shutdown
- Updated post-install to only setup SELinux context on RHEL5 (BZ472421)
- Updated post-install to only setup SELinux when SELinux is enabled (BZ472419)
- Fixed bug where master abandons -pidfile (BZ471902)
- Init script now issues fast shutdown (QUIT), not TERM (graceful) or KILL (BZ471901)
- Fixed problem of missing debuginfo info for some binaries

* Mon Nov 17 2008  <matt@redhat> - 7.2.0-0.2
- Pre-release of 7.2.0, Tue Nov 18 21:45:27 2008 -0600
- Added Obsoletes for condor-static
- Init script now on by default in runlevels 2345 (BZ471886)
- Disabled hibernation and lease manager code
- SELinux, condor_startd in unconfined_execmem_exec_t (BZ472084), thanks to Dan Walsh
- VM Gahp SendAliveToParent resolved (BZ471958)
- Included NOTICE.txt in doc

* Sat Nov 15 2008  <matt@redhat> - 7.2.0-0.1
- Pre-release of 7.2.0, Sat Nov 15 12:15:31 2008 -0600
- Updated to pre-relesae of 7.2.0 to avoid large renaming patch
- Changed default universe to vanilla (BZ471747)

* Fri Nov 14 2008  <matt@redhat> - 7.1.4-1
- Fast-forwarded to 7.1.4, Fri Nov 14 21:48:05 2008 -0600
- Updated /etc/condor/condor_config's LIB option to be arch aware
- Removed uninteresting WSDL files, except the master's
- Configured LIB is now 32/64 bit aware (BZ471604)
- Fixed stat/open for VM Universe on 32 bit systems (BZ471332)

* Mon Nov 10 2008  <matt@redhat> - 7.1.4-0.5
- Pre-release of 7.1.4, Wed Nov 12 08:25:57 2008 -0600
- Require qpidc >= r713154, fixes agent memory & fd leak
- Introduced qmf-plugins package to hold plugins and qpidc dependencies
- Fixed INCLUDE, LIBEXEC and JAVA_CLASSPATH_DEFAULT configs, broken in 7.0.4
- Removed condor_ckpt_probe, not needed
- Removed static package
- Fixed TP notices
- Introduced kbdd package, holds condor_kbdd and X11 dependencies

* Thu Nov  6 2008  <matt@redhat> - 7.1.4-0.4
- Pre-release of 7.1.4, Thu Nov 6 15:45:30 2008 -0600
- Require qpidc >= r711913, fixed ~ManagementAgent::Singleton() issue
- Also, fixes missing symbol: qpid::sys::AbsTime::FarFuture() from r708576
- Removed glidein script
- Removed deployment tools
- Removed standard universe
- Removed condor_configure and install
- Removed condor_master_off/reconfig_schedd/convert_history
- Removed bits depending on globus, and other gahps

* Mon Nov  3 2008  <matt@redhat> - 7.1.4-0.3
- Pre-release of 7.1.4, Mon Nov 3 14:00:54 2008 -0600

* Thu Oct 30 2008  <matt@redhat> - 7.1.4-0.2
- Fixed EL4 init script

* Mon Oct 27 2008  <matt@redhat> - 7.1.4-0.1
- Pre-release of 7.1.4, Mon Oct 27 18:01:14 2008 -0500

* Tue Oct 21 2008  <matt@redhat> - 7.1.3-1
- Rebased on 7.1.3
- Added QMF Plugins, requiring qpidc-devel and qmf-devel

* Mon Oct  6 2008  <matt@redhat> - 7.0.5-2
- Obsolete condor-test < 7.0.5

* Thu Sep 18 2008  <matt@redhat> - 7.0.5-1
- Rebased on 7.0.5
- generate-tarball.sh now removes quill&ligo test, stopped packaging them
- Resolved: BZ451069, BZ451799, BZ462662

* Wed Aug  6 2008  <mfarrellee@redhat> - 7.0.4-4
- Fixed /etc/condor/condor_config to not specify CONDOR_HOST
- Assigned condor uid:gid is 64:64, BZ458069

* Wed Aug 6 2008  <rrati@redhat.com> - 7.0.4-3
- Resolved: BZ457976
- Resolved: BZ458110

* Wed Jul 30 2008  <mfarrellee@redhat> - 7.0.4-2
- Resolved: BZ456478

* Wed Jul 23 2008  <mfarrellee@redhat> - 7.0.4-1
- Rebased on UW's 7.0.4 source release, includes fixes and perf enhancements
- First release with an Integration-Branch patch: fixes, opts, hooks, router, EC2
- Added --with-buildid to configure, addresses version info
- Fixed up condor_tests packaging to include new tests
- Packaged sql scripts, BZ455338
- Resolves: BZ455338, BZ452512, BZ452515, BZ456080, BZ449043, BZ447830
- Stopped using condor_configure
- Added python dependency, for condor_router_history

* Wed Jul 16 2008  <mfarrellee@redhat> - 7.0.2-5
- Added SCHEDD_NAME fix for HA Schedds
- Updated Job Hooks feature, -when-root -default-iwd fix integrated
- Added fix for negotiator crash
- Updated EC2 feature

* Thu Jul 3 2008  <rrati@redhat.com> - 7.0.2-4
- Cleaned up the job hooks when running as root fix

* Thu Jul 3 2008  <rrati@redhat.com> - 7.0.2-3
- Added job hooks support
- Added fix for job hooks when running as root
- Added fix for a missing IWD in the job description
- Moved some .pl and .run files to have execute permissions for consistency

* Thu Jun 12 2008  <mfarrellee@redhat> - 7.0.2-2
- New, safer, threading code for amazon-gahp
- EC2 resource leak from condor_gridmanager fixed

* Wed Jun 11 2008  <mfarrellee@redhat> - 7.0.2-1
- Updated to 7.0.2 release
- Moved modifications of condor_config to condor_config.generic patch

* Tue Jun 10 2008  <mfarrellee@redhat> - 7.0.1-12
- Resolved 450316, Proxy Support
- Rebased EC2.patch for new recovery code, parameter name changes, ...

* Fri Jun  6 2008  <mfarrellee@redhat> - 7.0.1-11
- Added TP notice

* Thu Jun  5 2008  <mfarrellee@redhat> - 7.0.1-10
- Fixed for RHEL 4, cannot apply EC2-Amazon-Imakefile.patch

* Thu Jun  5 2008  <mfarrellee@redhat> - 7.0.1-9
- Removed UID/FILESYSTEM_DOMAIN from condor_config.local
- Cleaned conditionals around patches
- Changed HOSTALLOW_WRITE default to $(FULL_HOSTNAME), i.e. presonal pool
- Updated EC2 to use SOAP instead of REST: removes Perl deps, adds RHEL 4 EC2 support

* Thu May 22 2008  <mfarrellee@redhat> - 7.0.1-8
- Added new ClassAds and better-analyze support

* Wed May 21 2008  <mfarrellee@redhat> - 7.0.1-7
- Init script modified on RHEL 4, where --pidfile and -p are not supported

* Wed May  7 2008  <mfarrellee@redhat> - 7.0.1-6
- Resolved: (EC2.patch) bz440699, bz440520, bz445626, bz440516, bz440531, bz440524, bz446749, bz446319, bz440515, bz446740
- Fixed dependencies, no EC2 on RHEL 4

* Wed Apr  2 2008  <mfarrellee@redhat> - 7.0.1-5
- Added preliminary EC2 support
- Cleaned up patch names and orders

* Wed Mar 12 2008  <rrati@redhat> - 7.0.1-4
- Have batch_test.pl exit condor_master process it starts when it exits

* Fri Mar  7 2008  <rrati@redhat> - 7.0.1-3
- Create a package that contains the testing materials for condor

* Fri Mar  7 2008  <mfarrellee@redhat> - 7.0.1-2
- Conditionally use custom imake when on RHEL 4, which does not have
  imake packaged
- Removed use of find to fix execute permissions on source files,
  fixed upstream
- Added disable_glibc_version_check patch to avoid problems with RHEL
  4, and many other distro's, version of glibc
- Removed f9_glibc_detection patch in favor of
  --disable-glibc-version-check to configure
- Disabled KRB5 support on RHEL 4, due to compliation errors with
  krb5-1.3.4
- Disabled SMP_NUM_JOBS because of dependency issues

* Wed Feb 27 2008  <mfarrellee@redhat> - 7.0.1-1
- Updated to UW's 7.0.1 release, source was 223.4MB
- Updated generate-tarball.sh to handle condor-7.0.1 directory name
  instead of condor_src-7.0.1 in the upstream source tarball
- Removed lsb_init.patch, accepted upstream
- Removed configure_with_to_enable.patch, accepted upstream
- Removed enable_gcc_version_check.patch, accepted upstream
- Removed f9_gcc_detection.patch, using --disable-gcc-version-check
- Removed modification of config/site.def, it was unnecessary
- Re-enabled use of ?_smp_mflags

* Wed Feb 27 2008  <mfarrellee@redhat> - 7.0.0-8
- Inclusion of patch enable_gcc_version_check to allow for disabling
  check for gcc version and resulting errors, useful when dealing with
  new versions of gcc, and will allow for removal of f9_gcc_detection
  patch
- Added patch configure_with_to_enable to change some AC_ARG_WITH to,
  more proper, AC_ARG_ENABLE
- Removed gsoap_nonamespaces patch in favor of gsoap 2.7.10-2 or
  greater
- Added patch gridmanager_without_globus to allow for compliation of
  condor_gridmanager and handlers for different gahps. This means
  functionality is determined at runtime instead of compile time.
- Added patch avoid_gsoap_linking to link only executables requiring
  gsoap against libgsoap, patch contributed by rrati@redhat
- Added patch separate_postgresql_in_build to begin linking postgresql
  only against those programs that need it, contributed by
  rrati@redhat

* Thu Feb 14 2008  <mfarrellee@redhat> - 7.0.0-7
- Some changes to config files made during install are now done in a
  patch during prep, condor_config.generic.patch. This should simplify
  install and resolve an issue with the generated config file for
  tests.
- Init Script Update: contains improved lsb logic; fixes BZ432639; no
  longer on by default; now patched into source

* Mon Feb 11 2008  <mfarrellee@redhat> - 7.0.0-6
- Added note about how to download the source
- Added generate-tarball.sh script

* Sun Feb 10 2008  <mfarrellee@redhat> - 7.0.0-5
- The gsoap package is compiled with --disable-namespaces, which means
  soap_set_namespaces is required after each soap_init. The
  gsoap_nonamespaces.patch handles this.

* Fri Feb  8 2008  <mfarrellee@redhat> - 7.0.0-4
- Added patch to detect GCC 4.3.0 on F9
- Added patch to detect GLIBC 2.7.90 on F9
- Added BuildRequires: autoconf to allow for regeneration of configure
  script after GCC 4.3.0 detection and GLIBC 2.7.90 patches are
  applied
- Condor + GCC 4.3.0 + -O2 results in an internal compiler error
  (BZ 432090), so -O2 is removed from optflags for the time
  being. Thanks to Mike Bonnet for the suggestion on how to filter
  -O2.

* Tue Jan 22 2008  <mfarrellee@redhat> - 7.0.0-3
- Update to UW's really-final source for Condor 7.0.0 stable series
  release. It is based on the 72173 build with minor changes to the
  configure.ac related to the SRB external version.
- In addition to removing externals from the UW tarball, the NTconfig
  directory was removed because it had not gone through IP audit.

* Tue Jan 22 2008  <mfarrellee@redhat> - 7.0.0-2
- Update to UW's final source for Condor 7.0.0 stable series release

* Thu Jan 10 2008  <mfarrellee@redhat> - 7.0.0-1
- Initial package of Condor's stable series under ASL 2.0
- is_clipped.patch replaced with --without-full-port option to configure
- zlib_is_soft.patch removed, outdated by configure.ac changes
- removed autoconf dependency needed for zlib_is_soft.patch

* Tue Dec  4 2007  <mfarrellee@redhat> - 6.9.5-2
- SELinux was stopping useradd in pre because files specified root as
  the group owner for /var/lib/condor, fixed, much thanks to Phil Knirsch

* Fri Nov 30 2007  <mfarrellee@redhat> - 6.9.5-1
- Fixed release tag
- Added gSOAP support and packaged WSDL files

* Thu Nov 29 2007  <mfarrellee@redhat> - 6.9.5-0.2
- Packaged LSB init script
- Changed pre to not create the condor user's home directory, it is
  now a directory owned by the package

* Thu Nov 29 2007  <mfarrellee@redhat> - 6.9.5-0.1
- Condor 6.9.5 release, the 7.0.0 stable series candidate
- Removed x86_64_no_multilib-200711091700cvs.patch, merged upstream
- Added patch to make zlib a soft requirement, which it should be
- Disabled use of smp_mflags because of make dependency issues
- Explicitly not packaging WSDL files until the SOAP APIs are available

* Tue Nov 20 2007  <mfarrellee@redhat> - 6.9.5-0.3.200711091700cvs
- Rebuild for repo inheritance update: dependencies are now pulled
  from RHEL 5 U1 before RH Application Stack

* Thu Nov 15 2007 <mfarrellee@redhat> - 6.9.5-0.2.200711091700cvs
- Added support for building on x86_64 without multilib packages
- Made the install section more flexible, reduced need for
  make_final_tarballs to be updated

* Fri Nov 9 2007 <mfarrellee@redhat> - 6.9.5-0.1.200711091700cvs
- Working source with new ASL 2.0 license

* Fri Nov 9 2007 <mfarrellee@redhat> - 6.9.5-0.1.200711091330cvs
- Source is now stamped ASL 2.0, as of Nov 9 2007 1:30PM Central
- Changed license to ASL 2.0
- Fixed find in prep to work if no files have bad permissions
- Changed the name of the LICENSE file to match was is now release in
  the source tarball

* Tue Nov 6 2007  <mfarrellee@redhat> - 6.9.5-0.1.rc
- Added m4 dependency not in RHEL 5.1's base
- Changed chmod a-x script to use find as more files appear to have
  improper execute bits set
- Added ?dist to Release:
- condor_privsep became condor_root_switchboard

* Tue Sep 11 2007  <mfarrellee@redhat> - 6.9.5-0.3.20070907cvs
- Instead of releasing libcondorapi.so, which is improperly created
  and poorly versioned, we release libcondorapi.a, which is apparently
  more widely used, in a -static package
- Instead of installing the stripped tarball, the unstripped is now
  installed, which gives a nice debuginfo package
- Found and fixed permissions problems on a number of src files,
  issue raised by rpmlint on the debuginfo package

* Mon Sep 10 2007  <mfarrellee@redhat> - 6.9.5-0.2.20070907cvs
- Updated pre section to create condor's home directory with adduser, and
  removed _var/lib/condor from files section
- Added doc LICENSE.TXT to all files sections
- Shortened lines longer than 80 characters in this spec (except the sed line)
- Changed install section so untar'ing a release can handle fedora7 or fedora8
- Simplified the site.def and config file updates (sed + mv over mv + sed + rm)
- Added a patch (fedora_rawhide_7.91-20070907cvs.patch) to support building on
  a fedora 7.91 (current Rawhide) release
- Moved the examples from /usr/share/doc/condor... into builddir and just
  marked them as documentation
- Added a number of dir directives to force all files to be listed, no implicit
  inclusion

* Fri Sep  7 2007  <mfarrellee@redhat> - 6.9.5-0.1.20070907cvs
- Initial release
